import pygame
from pygame.locals import *
from sys import exit
from random import randint
import math


###############################################################
def inArea(gX,gY,pointX, pointY,pointX2, pointY2):
    if pointX<gX<pointX2 and pointY<gY<pointY2:
        return True
    else:
        return False

def inCircle(pointX, pointY,gX,gY,distance):
    xDist = pointX-gX
    xDist=math.fabs(xDist)
    yDist = pointY-gY
    yDist=math.fabs(yDist)
    xyDist = (xDist*xDist)+(yDist*yDist)
    if distance >= math.sqrt(xyDist):
        return True
    else:
        return False


############################################################

mx=0
my=0
CY=20
headX=62
headY=48
feetY=135
jump=0
landing=0
moving=0
treeleader=1
treeX=0
treeX2=1200

bushleader=1
bushX=0
bushX2= 640

wineX=0
svX=0
vbX=0
cpx=0
cpx2=900
fox=0
fox2=1200
cliffX=0

SCENE=0
lastscene=0
rightOnce=1
leftOnce=1
bOnce=1

dialog=0
apOn=0
crocOn=0
crocnumb=0

beeOn=0
beNomb=0

points=10
distance=0
snappOnce=0
stingOnce=1

coco_list=[]

for i in range(10):
    coco_list.append([0,0,0,0])


leoheal=0

knifeX=0
knifeY=0
handRx=0
handRy=0



class yuma:
    def __init__(self, stand, walk, run, jumpup, jumpdown, xstand, xwalk, xrun, xjumpup, xjumpdown, knock, xknock, swing_in, bsf, bsb, yfall, crawlL, crawlR, crawlCL, crawlCR, whistle, bigsneak):

        self.stand=stand
        self.walk=walk
        self.run=run
        self.jumpup=jumpup
        self.jumpdown=jumpdown
        self.knock=knock
        self.swing_in=swing_in
        self.bsf=bsf
        self.bsb=bsb
        self.yfall=yfall
        self.crawlL=crawlL
        self.crawlR=crawlR
        self.crawlCL=crawlCL
        self.crawlCR=crawlCR
        self.bigsneak=bigsneak

        self.xstand=xstand
        self.xwalk=xwalk
        self.xrun=xrun
        self.xjumpup=xjumpup
        self.xjumpdown=xjumpdown
        self.xknock=xknock
        self.whistle=whistle

        self.img= self.stand[0]
        self.x=200
        self.y=270
        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0
        self.mode=0

        self.jump=-1
        self.knocked=0

    def standing(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.stand[self.frame]
            self.starttime = pygame.time.get_ticks()


    def xstanding(self):
        self.mode=-1
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.xstand[self.frame]
            self.starttime = pygame.time.get_ticks()


            

    def walking(self):
        self.mode=1
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.walk[self.frame]
            self.starttime = pygame.time.get_ticks()

    def xwalking(self):
        self.mode=-2
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.xwalk[self.frame]
            self.starttime = pygame.time.get_ticks()
            

    def runing(self):
        self.mode=2
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.run[self.frame]
            self.starttime = pygame.time.get_ticks()


    def xruning(self):
        self.mode=-3
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.xrun[self.frame]
            self.starttime = pygame.time.get_ticks()
            

    def jumpuping(self):
        
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid<300 and self.jump==0:
            self.img = self.jumpup[0]
            
        elif self.tid>300 and self.jump==0:
            self.img = self.jumpup[1]
            #self.y -= 5
            self.jump=1
            self.mode=3
                      
        elif self.tid>300:
            self.frame += 1
            self.jump+=1
            #self.y -= 5
            if self.frame >2:
                self.frame=1
            self.img = self.jumpup[self.frame]
            self.starttime = pygame.time.get_ticks()


    def xjumpuping(self):
        
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid<300 and self.jump==0:
            self.img = self.xjumpup[0]
            
        elif self.tid>300 and self.jump==0:
            self.img = self.xjumpup[1]
            #self.y -= 5
            self.jump=1
            self.mode=-4
                      
        elif self.tid>300:
            self.frame += 1
            self.jump+=1
            #self.y -= 5
            if self.frame >2:
                self.frame=1
            self.img = self.xjumpup[self.frame]
            self.starttime = pygame.time.get_ticks()


    def jumpdowning(self):
        self.mode=4
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            else:
                self.img = self.jumpdown[self.frame]
            self.starttime = pygame.time.get_ticks()

    def xjumpdowning(self):
        self.mode=-5
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            else:
                self.img = self.xjumpdown[self.frame]
            self.starttime = pygame.time.get_ticks()


    def knocking(self):
        self.mode=10
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
                self.knocked +=1
                if self.knocked>5:
                    self.mode=0
                    self.knocked=0
            self.img = self.knock[self.frame]
            self.starttime = pygame.time.get_ticks()



    def xknocking(self):
        self.mode=-10
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
                self.knocked +=1
                if self.knocked>5:
                    self.mode=-1
                    self.knocked=0
            self.img = self.xknock[self.frame]
            self.starttime = pygame.time.get_ticks()

    def swing_ining(self):
        self.mode=20
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>200:
            self.frame += 1
            if self.frame <6:
                self.img = self.swing_in[self.frame]
            else:
                self.img= self.stand[0]
                self.mode=0
            self.starttime = pygame.time.get_ticks()


    def bsfing(self):
        
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >11:
                self.frame=0
            
            self.img = self.bsf[self.frame]
            self.starttime = pygame.time.get_ticks()


    def bsbing(self):
        
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >19:
                self.frame=0
            
            self.img = self.bsb[self.frame]
            self.starttime = pygame.time.get_ticks()


    def yfalling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >5:
                self.frame=0
            
            self.img = self.yfall[self.frame]
            self.starttime = pygame.time.get_ticks()


    def Lcrawling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            
            self.img = self.crawlL[self.frame]
            self.starttime = pygame.time.get_ticks()

    def Rcrawling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            
            self.img = self.crawlR[self.frame]
            self.starttime = pygame.time.get_ticks()


    def LCcrawling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            
            self.img = self.crawlCL[self.frame]
            self.starttime = pygame.time.get_ticks()

    def RCcrawling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            
            self.img = self.crawlCR[self.frame]
            self.starttime = pygame.time.get_ticks()

    def whistling(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            
            self.img = self.whistle[self.frame]
            self.starttime = pygame.time.get_ticks()


    def sneaking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>400:
            self.frame += 1
            if self.frame >6:
                self.frame=0
            
            self.img = self.bigsneak[self.frame]
            self.starttime = pygame.time.get_ticks()





################################

class apa:
    def __init__(self, swingL, swingR):

        self.swingL=swingL
        self.swingR=swingR
        
        self.img= self.swingL[0]
        self.x=200
        self.y=0
        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

    def swinginL(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >10:
                self.frame=0
            self.img = self.swingL[self.frame]
            self.starttime = pygame.time.get_ticks()


    def swinginR(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >10:
                self.frame=0
            self.img = self.swingR[self.frame]
            self.starttime = pygame.time.get_ticks()



#############################################

class crock:
    def __init__(self, crokwalkc, crokwalko, crokstand):



        self.crokwalkc=crokwalkc
        self.crokwalko=crokwalko
        self.crokstand=crokstand
        
        self.img= self.crokwalkc[0]
        self.x=200
        self.y=0
        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

        
        
           
    def standing(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            self.img = self.crokstand[self.frame]
            self.starttime = pygame.time.get_ticks()


    def cwalking(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.crokwalkc[self.frame]
            self.starttime = pygame.time.get_ticks()

    def owalking(self):
        self.mode=0
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.crokwalko[self.frame]
            self.starttime = pygame.time.get_ticks()



#############################################################

class stinger:
    def __init__(self, fly, birds, birdattack, blood):

        self.fly = fly
        self.birds = birds
        self.birdattack= birdattack
        self.blood= blood
        
        self.x=-50
        self.y=290

        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

    def flying(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >1:
                self.frame=0
            self.img = self.fly[self.frame]
            self.starttime = pygame.time.get_ticks()


    def birding(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >4:
                self.frame=0
            self.img = self.birds[self.frame]
            self.starttime = pygame.time.get_ticks()

    def attacking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>100:
            self.frame += 1
            if self.frame >3:
                self.frame=0
            self.img = self.birdattack[self.frame]
            self.starttime = pygame.time.get_ticks()


    def bleeding(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>800:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.blood[self.frame]
            self.starttime = pygame.time.get_ticks()


#############################################################

class tantor:
    def __init__(self, elf, elfS):

        self.elf = elf
        self.elfS = elfS
       

        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

    def standing(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >9:
                self.frame=0
            self.img = self.elf[self.frame]
            self.starttime = pygame.time.get_ticks()


    def standing2(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >9:
                self.frame=0
            self.img = self.elfS[self.frame]
            self.starttime = pygame.time.get_ticks()



#############################################################

class pantera:
    def __init__(self, leon, limpin):

        self.leon = leon
        self.limpin = limpin
        self.x = -400
       

        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

    def lying(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.leon[self.frame]
            self.starttime = pygame.time.get_ticks()

    def limping(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >5:
                self.frame=0
            self.img = self.limpin[self.frame]
            self.starttime = pygame.time.get_ticks()            


#############################################################

class grass:
    def __init__(self, wgrass):

        self.wgrass = wgrass
       

        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0

    def blowing(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.wgrass[self.frame]
            self.starttime = pygame.time.get_ticks()

  
#############################################################

class hunter:
    def __init__(self, walkleft, walkright, hunthit, huntRhit, huntUp, huntStand, huntWalk, huntCWalk, huntCstand, huntInTent):

        self.walkleft = walkleft
        self.walkright = walkright
        self.hunthit = hunthit
        self.huntRhit = huntRhit
        self.huntUp = huntUp
        self.huntStand = huntStand
        self.huntWalk = huntWalk
        self.huntCWalk = huntCWalk
        self.huntCstand = huntCstand
        self.huntInTent = huntInTent

        self.x=0
        self.y=0
       

        self.frame=0
        self.starttime=pygame.time.get_ticks()
        self.tid=0
        self.dir=0

    def Lwalking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >5:
                self.frame=0
            self.img = self.walkleft[self.frame]
            self.starttime = pygame.time.get_ticks()

    
    def Rwalking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >5:
                self.frame=0
            self.img = self.walkright[self.frame]
            self.starttime = pygame.time.get_ticks()

    def Lhiting(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.hunthit[self.frame]
            self.starttime = pygame.time.get_ticks()

    
    def Rhiting(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.huntRhit[self.frame]
            self.starttime = pygame.time.get_ticks()

    def uping(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >5:
                self.frame=5
            self.img = self.huntUp[self.frame]
            self.starttime = pygame.time.get_ticks()


    def standing(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >2:
                self.frame=0
            self.img = self.huntStand[self.frame]
            self.starttime = pygame.time.get_ticks()

    def huntwalking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >5:
                self.frame=0
            self.img = self.huntWalk[self.frame]
            self.starttime = pygame.time.get_ticks()


    def huntCwalking(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>300:
            self.frame += 1
            if self.frame >4:
                self.frame=0
            self.img = self.huntCWalk[self.frame]
            self.starttime = pygame.time.get_ticks()

    def huntCstanding(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >4:
                self.frame=0
            self.img = self.huntCstand[self.frame]
            self.starttime = pygame.time.get_ticks()
            

    def intenting(self):
        self.tid=pygame.time.get_ticks()-self.starttime
        if self.tid>500:
            self.frame += 1
            if self.frame >10:
                self.frame=0
            self.img = self.huntInTent[self.frame]
            self.starttime = pygame.time.get_ticks()

            
#############################################################
    
clock=pygame.time.Clock()
pygame.mixer.init(44100, 16, 2, 4096)
pygame.init()
screen = pygame.display.set_mode((640,480), 0, 32)

pygame.display.set_caption('YUMA the jungle girl')

icon = pygame.image.load("icon.png").convert_alpha()
pygame.display.set_icon(icon)

pygame.mouse.set_visible(False)

font1= pygame.font.Font("grokcomic-normal.otf",20)


title= pygame.image.load("yumasplash.png").convert()
controls= pygame.image.load("controls.png").convert()
controltext= pygame.image.load("controltext.png").convert()


keys1= pygame.image.load("keys1.png").convert_alpha()
keys2= pygame.image.load("keys2.png").convert_alpha()
keys3= pygame.image.load("keys3.png").convert_alpha()
keys4= pygame.image.load("keys4.png").convert_alpha()
keys5= pygame.image.load("keys5.png").convert_alpha()


walk1 = pygame.image.load("walk1.png").convert_alpha()
walk2 = pygame.image.load("walk2.png").convert_alpha()
walk3 = pygame.image.load("walk3.png").convert_alpha()
walk4 = pygame.image.load("walk4.png").convert_alpha()

run1 = pygame.image.load("run1.png").convert_alpha()
run2 = pygame.image.load("run2.png").convert_alpha()
run3 = pygame.image.load("run3.png").convert_alpha()
run4 = pygame.image.load("run4.png").convert_alpha()

stand1 = pygame.image.load("stand1.png").convert_alpha()
stand2 = pygame.image.load("stand2.png").convert_alpha()
stand3 = pygame.image.load("stand3.png").convert_alpha()
stand4 = pygame.image.load("stand4.png").convert_alpha()

jump1up = pygame.image.load("jump1up.png").convert_alpha()
jump2up = pygame.image.load("jump2up.png").convert_alpha()

jump1dwn = pygame.image.load("jump1dwn.png").convert_alpha()
jump2dwn = pygame.image.load("jump2dwn.png").convert_alpha()

land = pygame.image.load("land.png").convert_alpha()

crouch = pygame.image.load("crouch.png").convert_alpha()

knock1= pygame.image.load("knock1.png").convert_alpha()
knock2= pygame.image.load("knock2.png").convert_alpha()
knock3= pygame.image.load("knock3.png").convert_alpha()

xwalk1 = pygame.image.load("xwalk1.png").convert_alpha()
xwalk2 = pygame.image.load("xwalk2.png").convert_alpha()
xwalk3 = pygame.image.load("xwalk3.png").convert_alpha()
xwalk4 = pygame.image.load("xwalk4.png").convert_alpha()

xrun1 = pygame.image.load("xrun1.png").convert_alpha()
xrun2 = pygame.image.load("xrun2.png").convert_alpha()
xrun3 = pygame.image.load("xrun3.png").convert_alpha()
xrun4 = pygame.image.load("xrun4.png").convert_alpha()

xstand1 = pygame.image.load("xstand1.png").convert_alpha()
xstand2 = pygame.image.load("xstand2.png").convert_alpha()
xstand3 = pygame.image.load("xstand3.png").convert_alpha()
xstand4 = pygame.image.load("xstand4.png").convert_alpha()

xjump1up = pygame.image.load("xjump1up.png").convert_alpha()
xjump2up = pygame.image.load("xjump2up.png").convert_alpha()

xjump1dwn = pygame.image.load("xjump1dwn.png").convert_alpha()
xjump2dwn = pygame.image.load("xjump2dwn.png").convert_alpha()

xland = pygame.image.load("xland.png").convert_alpha()

xcrouch = pygame.image.load("xcrouch.png").convert_alpha()


xknock1= pygame.image.load("Rknock1.png").convert_alpha()
xknock2= pygame.image.load("Rknock2.png").convert_alpha()
xknock3= pygame.image.load("Rknock3.png").convert_alpha()


sw1= pygame.image.load("swing1.png").convert_alpha()
sw2= pygame.image.load("swing2.png").convert_alpha()
sw3= pygame.image.load("swing3.png").convert_alpha()
sw4= pygame.image.load("swing4.png").convert_alpha()
sw5= pygame.image.load("swing5.png").convert_alpha()
sw6= pygame.image.load("swing6.png").convert_alpha()



sky = pygame.image.load("sky.png").convert()

tree = pygame.image.load("trees.png").convert_alpha()
tree2 = pygame.image.load("trees.png").convert_alpha()

bush = pygame.image.load("bush.png").convert_alpha()
bush2 = pygame.image.load("bush.png").convert_alpha()

wine = pygame.image.load("wine.png").convert_alpha()

golem = pygame.image.load("golem_s.png").convert_alpha()
golem2 = pygame.image.load("golem_2.png").convert_alpha()

lian = pygame.image.load("lian.png").convert_alpha()

balloon = pygame.image.load("balloon.png").convert_alpha()
balloon2 = pygame.image.load("balloon2.png").convert_alpha()
balloon3 = pygame.image.load("balloon3.png").convert_alpha()
balloon4 = pygame.image.load("balloon4.png").convert_alpha()

m41 = pygame.image.load("m4onkey1.png").convert_alpha()
m42 = pygame.image.load("m4onkey2.png").convert_alpha()
m43 = pygame.image.load("m4onkey3.png").convert_alpha()
m44 = pygame.image.load("m4onkey4.png").convert_alpha()
m45 = pygame.image.load("m4onkey5.png").convert_alpha()
m46 = pygame.image.load("m4onkey6.png").convert_alpha()
m47 = pygame.image.load("m4onkey7.png").convert_alpha()
m48 = pygame.image.load("m4onkey8.png").convert_alpha()
m49 = pygame.image.load("m4onkey9.png").convert_alpha()
m410 = pygame.image.load("m4onkey10.png").convert_alpha()
m411 = pygame.image.load("m4onkey11.png").convert_alpha()

rm41 = pygame.image.load("Rm4onkey1.png").convert_alpha()
rm42 = pygame.image.load("Rm4onkey2.png").convert_alpha()
rm43 = pygame.image.load("Rm4onkey3.png").convert_alpha()
rm44 = pygame.image.load("Rm4onkey4.png").convert_alpha()
rm45 = pygame.image.load("Rm4onkey5.png").convert_alpha()
rm46 = pygame.image.load("Rm4onkey6.png").convert_alpha()
rm47 = pygame.image.load("Rm4onkey7.png").convert_alpha()
rm48 = pygame.image.load("Rm4onkey8.png").convert_alpha()
rm49 = pygame.image.load("Rm4onkey9.png").convert_alpha()
rm410 = pygame.image.load("Rm4onkey10.png").convert_alpha()
rm411 = pygame.image.load("Rm4onkey11.png").convert_alpha()



croc1 = pygame.image.load("croc1.png").convert_alpha()
croc2 = pygame.image.load("croc2.png").convert_alpha()
croc3 = pygame.image.load("croc3.png").convert_alpha()
croc1o = pygame.image.load("crocO1.png").convert_alpha()
croc2o = pygame.image.load("crocO2.png").convert_alpha()
croc3o = pygame.image.load("crocO3.png").convert_alpha()

coco= pygame.image.load("coconut_25.png").convert_alpha()
coco21= pygame.image.load("coconut_21.png").convert_alpha()
banana = pygame.image.load("banana.png").convert_alpha()


p10=  pygame.image.load("points10.png").convert_alpha()
p9=  pygame.image.load("points9.png").convert_alpha()
p8=  pygame.image.load("points8.png").convert_alpha()
p7=  pygame.image.load("points7.png").convert_alpha()
p6=  pygame.image.load("points6.png").convert_alpha()
p5=  pygame.image.load("points5.png").convert_alpha()
p4=  pygame.image.load("points4.png").convert_alpha()
p3=  pygame.image.load("points3.png").convert_alpha()
p2=  pygame.image.load("points2.png").convert_alpha()
p1=  pygame.image.load("points1.png").convert_alpha()


yj1 =  pygame.image.load("yj1.png").convert_alpha()
yj2 =  pygame.image.load("yj2.png").convert_alpha()

elefBG =  pygame.image.load("elphBG.png").convert()

el1 = pygame.image.load("elephant1.png").convert_alpha()
el2 = pygame.image.load("elephant2.png").convert_alpha()
el3 = pygame.image.load("elephant3.png").convert_alpha()
el4 = pygame.image.load("elephant4.png").convert_alpha()
el5 = pygame.image.load("elephant5.png").convert_alpha()
el6 = pygame.image.load("elephant6.png").convert_alpha()
el7 = pygame.image.load("elephant7.png").convert_alpha()
el8 = pygame.image.load("elephant8.png").convert_alpha()
el9 = pygame.image.load("elephant9.png").convert_alpha()
el10 = pygame.image.load("elephant10.png").convert_alpha()




bsf1 = pygame.image.load("bigswingF1.png").convert_alpha()
bsf2 = pygame.image.load("bigswingF2.png").convert_alpha()
bsf3 = pygame.image.load("bigswingF3.png").convert_alpha()
bsf4 = pygame.image.load("bigswingF4.png").convert_alpha()
bsf5 = pygame.image.load("bigswingF5.png").convert_alpha()
bsf6 = pygame.image.load("bigswingF6.png").convert_alpha()
bsf7 = pygame.image.load("bigswingF7.png").convert_alpha()
bsf8 = pygame.image.load("bigswingF8.png").convert_alpha()
bsf9 = pygame.image.load("bigswingF9.png").convert_alpha()
bsf10 = pygame.image.load("bigswingF10.png").convert_alpha()
bsf11 = pygame.image.load("bigswingF11.png").convert_alpha()
bsf12 = pygame.image.load("bigswingF12a.png").convert_alpha()

bsb1 = pygame.image.load("bigswingB1.png").convert_alpha()
bsb2 = pygame.image.load("bigswingB2.png").convert_alpha()
bsb3 = pygame.image.load("bigswingB3.png").convert_alpha()
bsb4 = pygame.image.load("bigswingB4.png").convert_alpha()
bsb5 = pygame.image.load("bigswingB5.png").convert_alpha()
bsb6 = pygame.image.load("bigswingB6.png").convert_alpha()
bsb7 = pygame.image.load("bigswingB7.png").convert_alpha()
bsb8 = pygame.image.load("bigswingB8.png").convert_alpha()
bsb9 = pygame.image.load("bigswingB9.png").convert_alpha()

startvine = pygame.image.load("vinestart.png").convert_alpha()

vb1 = pygame.image.load("vineback1.png").convert_alpha()
vb2 = pygame.image.load("vineback2.png").convert_alpha()
vb3 = pygame.image.load("vineback3.png").convert_alpha()

canopi= pygame.image.load("canopi.png").convert_alpha()
canopi2= pygame.image.load("canopi2.png").convert_alpha()
folie = pygame.image.load("folie.png").convert_alpha()
folie2 = pygame.image.load("folie.png").convert_alpha()

cliff = pygame.image.load("swingcliff.png").convert_alpha()

cliffwood = pygame.image.load("cliffwood.png").convert_alpha()

fall1 = pygame.image.load("fall1.png").convert_alpha()
fall2 = pygame.image.load("fall2.png").convert_alpha()
fall3 = pygame.image.load("fall3.png").convert_alpha()
fall4 = pygame.image.load("fall4.png").convert_alpha()
fall5 = pygame.image.load("fall5.png").convert_alpha()
fall6 = pygame.image.load("fall6.png").convert_alpha()



jungleBG=  pygame.image.load("jungelbg.png").convert()

fsw1 = pygame.image.load("fsw1.png").convert_alpha()
fsw2 = pygame.image.load("fsw2.png").convert_alpha()
fsw3 = pygame.image.load("fsw3.png").convert_alpha()
fsw4 = pygame.image.load("fsw4.png").convert_alpha()
fsw5 = pygame.image.load("fsw5.png").convert_alpha()
fsw6 = pygame.image.load("fsw6.png").convert_alpha()
fsw7 = pygame.image.load("fsw7.png").convert_alpha()
fsw8 = pygame.image.load("fsw8.png").convert_alpha()
fsw9 = pygame.image.load("fsw9.png").convert_alpha()
fsw10 = pygame.image.load("fsw10.png").convert_alpha()
fsw11 = pygame.image.load("fsw11.png").convert_alpha()
fsw12 = pygame.image.load("fsw12.png").convert_alpha()


whistle1 = pygame.image.load("whistle1.png").convert_alpha()
whistle2 = pygame.image.load("whistle2.png").convert_alpha()



grass1 = pygame.image.load("grass1.png").convert_alpha()
grass2 = pygame.image.load("grass2.png").convert_alpha()
grass3 = pygame.image.load("grass3.png").convert_alpha()


waterhole = pygame.image.load("waterhole.png").convert_alpha()

leo1 = pygame.image.load("leo1.png").convert_alpha()
leo2 = pygame.image.load("leo2.png").convert_alpha()
leo3 = pygame.image.load("leo3.png").convert_alpha()
leofot = pygame.image.load("leofot.png").convert_alpha()

whg1 = pygame.image.load("whgrass1.png").convert_alpha()
whg2 = pygame.image.load("whgrass2.png").convert_alpha()
whg3 = pygame.image.load("whgrass3.png").convert_alpha()


closeup = pygame.image.load("closeup.png").convert()
mud = pygame.image.load("mud2.png").convert_alpha()
mudhand = pygame.image.load("mudhand.png").convert_alpha()

blood1 = pygame.image.load("blood1.png").convert_alpha()
blood2 = pygame.image.load("blood2.png").convert_alpha()
blood3 = pygame.image.load("blood3.png").convert_alpha()

lionface = pygame.image.load("lionface.png").convert()
twofingers = pygame.image.load("twofingers.png").convert_alpha()

skin= pygame.image.load("skinBG.png").convert()

op_cut = pygame.image.load("op_cut.png").convert_alpha()
op_hand1 = pygame.image.load("op_hand1.png").convert_alpha()
op_hand2 = pygame.image.load("op_hand2.png").convert_alpha()
op_hand3 = pygame.image.load("op_hand3.png").convert_alpha()
op_hand4 = pygame.image.load("op_hand4.png").convert_alpha()
op_hand5 = pygame.image.load("op_hand5.png").convert_alpha()
op_knife = pygame.image.load("op_knife.png").convert_alpha()

op_cover = pygame.image.load("op_cover.png").convert_alpha()
op_bullet = pygame.image.load("bullet.png").convert_alpha()
op_handR = pygame.image.load("op_handR.png").convert_alpha()
op_handRB = pygame.image.load("op_handRB.png").convert_alpha()

op_handRT = pygame.image.load("op_handRT.png").convert_alpha()
op_thorn1 = pygame.image.load("thorn.png").convert_alpha()
op_thorn2 = pygame.image.load("thorn.png").convert_alpha()


mudhands1 = pygame.image.load("mudhands1.png").convert_alpha()
mudhands2 = pygame.image.load("mudhands2.png").convert_alpha()
mudhands3 = pygame.image.load("mudhands3.png").convert_alpha()
mudhands4 = pygame.image.load("mudhands4.png").convert_alpha()
mudhands5 = pygame.image.load("mudhands5.png").convert_alpha()
mudhands6 = pygame.image.load("mudhands6.png").convert_alpha()
mudhands7 = pygame.image.load("mudhands7.png").convert_alpha()
mudhands8 = pygame.image.load("mudhands8.png").convert_alpha()
mudhands9 = pygame.image.load("mudhands9.png").convert_alpha()
mudhands10 = pygame.image.load("mudhands10.png").convert_alpha()


smallmud1 = pygame.image.load("smallmud1.png").convert_alpha()
smallmud2 = pygame.image.load("smallmud2.png").convert_alpha()




deadfieldBG = pygame.image.load("deadfield.png").convert()

campBG = pygame.image.load("campBG.png").convert()
ybStand1 = pygame.image.load("yumabstand1.png").convert_alpha()
ybStand2 = pygame.image.load("yumabstand2.png").convert_alpha()





camptalk = pygame.image.load("campOS.png").convert()
camptalkcover = pygame.image.load("campOScover.png").convert_alpha()


sneaktent = pygame.image.load("sneaktent.png").convert() 


huntInTent1 = pygame.image.load("huntInTent1.png").convert_alpha()
huntInTent2 = pygame.image.load("huntInTent2.png").convert_alpha()
huntInTent3 = pygame.image.load("huntInTent3.png").convert_alpha()
huntInTent4 = pygame.image.load("huntInTent4.png").convert_alpha()
huntInTent5 = pygame.image.load("huntInTent5.png").convert_alpha()
huntInTent6 = pygame.image.load("huntInTent6.png").convert_alpha()
huntInTent7 = pygame.image.load("huntInTent7.png").convert_alpha()
huntInTent8 = pygame.image.load("huntInTent8.png").convert_alpha()



dropBG = pygame.image.load("dropBG.png").convert()
huntSneak1 = pygame.image.load("huntSneak1.png").convert_alpha()
huntSneak2 = pygame.image.load("huntSneak2.png").convert_alpha()
huntSneak3 = pygame.image.load("huntSneak3.png").convert_alpha()
huntSneak4 = pygame.image.load("huntSneak4.png").convert_alpha()
huntSneak5 = pygame.image.load("huntSneak5.png").convert_alpha()
huntSneak6 = pygame.image.load("huntSneak6.png").convert_alpha()

huntSneak5a = pygame.image.load("huntSneak5a.png").convert_alpha()

huntSneakR1 = pygame.image.load("huntSneakR1.png").convert_alpha()
huntSneakR2 = pygame.image.load("huntSneakR2.png").convert_alpha()
huntSneakR3 = pygame.image.load("huntSneakR3.png").convert_alpha()
huntSneakR4 = pygame.image.load("huntSneakR4.png").convert_alpha()
huntSneakR5 = pygame.image.load("huntSneakR5.png").convert_alpha()
huntSneakR6 = pygame.image.load("huntSneakR6.png").convert_alpha()

huntHit1 = pygame.image.load("huntHit1.png").convert_alpha()
huntHit2 = pygame.image.load("huntHit2.png").convert_alpha()
huntHit3 = pygame.image.load("huntHit3.png").convert_alpha()

huntHitR1 = pygame.image.load("huntHitR1.png").convert_alpha()
huntHitR2 = pygame.image.load("huntHitR2.png").convert_alpha()
huntHitR3 = pygame.image.load("huntHitR3.png").convert_alpha()

huntyKnocked = pygame.image.load("huntKnocked.png").convert_alpha()

huntUp1 = pygame.image.load("huntUp1.png").convert_alpha()
huntUp2 = pygame.image.load("huntUp2.png").convert_alpha()
huntUp3 = pygame.image.load("huntUp3.png").convert_alpha()
huntUp4 = pygame.image.load("huntUp4.png").convert_alpha()
huntUp5 = pygame.image.load("huntUp5.png").convert_alpha()
huntUp6 = pygame.image.load("huntUp6.png").convert_alpha()

huntWalk1 = pygame.image.load("huntWalk1.png").convert_alpha()
huntWalk2 = pygame.image.load("huntWalk2.png").convert_alpha()
huntWalk3 = pygame.image.load("huntWalk3.png").convert_alpha()
huntWalk4 = pygame.image.load("huntWalk4.png").convert_alpha()
huntWalk5 = pygame.image.load("huntWalk5.png").convert_alpha()
huntWalk6 = pygame.image.load("huntWalk6.png").convert_alpha()

huntStand1 = pygame.image.load("huntStand1.png").convert_alpha()
huntStand2 = pygame.image.load("huntStand2.png").convert_alpha()
huntStand3 = pygame.image.load("huntStand3.png").convert_alpha()

hunthot1 = pygame.image.load("hunthot1.png").convert_alpha()
hunthot2 = pygame.image.load("hunthot2.png").convert_alpha()
hunthot3 = pygame.image.load("hunthot3.png").convert_alpha()
hunthot4 = pygame.image.load("hunthot4.png").convert_alpha()


huntCWalk1 = pygame.image.load("huntCwalk1.png").convert_alpha()
huntCWalk2 = pygame.image.load("huntCwalk2.png").convert_alpha()
huntCWalk3 = pygame.image.load("huntCwalk3.png").convert_alpha()
huntCWalk4 = pygame.image.load("huntCwalk4.png").convert_alpha()
huntCWalk5 = pygame.image.load("huntCwalk5.png").convert_alpha()

huntCstand1 = pygame.image.load("huntCstand1.png").convert_alpha()
huntCstand2 = pygame.image.load("huntCstand2.png").convert_alpha()
huntCstand3 = pygame.image.load("huntCstand3.png").convert_alpha()
huntCstand4 = pygame.image.load("huntCstand4.png").convert_alpha()
huntCstand5 = pygame.image.load("huntCstand5.png").convert_alpha()

birds1= pygame.image.load("birds1.png").convert_alpha()
birds2= pygame.image.load("birds2.png").convert_alpha()
birds3= pygame.image.load("birds3.png").convert_alpha()
birds4= pygame.image.load("birds4.png").convert_alpha()
birds5= pygame.image.load("birds5.png").convert_alpha()

fronttent= pygame.image.load("fronttent.png").convert()

bigsneak1 = pygame.image.load("bigsneak1.png").convert_alpha()
bigsneak2 = pygame.image.load("bigsneak2.png").convert_alpha()
bigsneak3 = pygame.image.load("bigsneak3.png").convert_alpha()


birdattack1 = pygame.image.load("birdattack1.png").convert_alpha()
birdattack2 = pygame.image.load("birdattack2.png").convert_alpha()
birdattack3 = pygame.image.load("birdattack3.png").convert_alpha()
birdattack4 = pygame.image.load("birdattack4.png").convert_alpha()

shot = pygame.image.load("shot.png").convert_alpha()



dark = pygame.image.load("dark.png").convert_alpha()
eatinggrass = pygame.image.load("eatinggrass.png").convert()

star1  = pygame.image.load("stars1.png").convert_alpha()
star2  = pygame.image.load("stars2.png").convert_alpha()
star3  = pygame.image.load("stars3.png").convert_alpha()
star4  = pygame.image.load("stars4.png").convert_alpha()
star5  = pygame.image.load("stars5.png").convert_alpha()

stars=[star1, star2, star3, star4, star5]

crawlerV = pygame.image.load("crawlerV.png").convert_alpha()
crawler0 = pygame.image.load("crawler0.png").convert_alpha()
crawlerH = pygame.image.load("crawlerH.png").convert_alpha()

crawlCocoV = pygame.image.load("crawlCocoV.png").convert_alpha()
crawlCoco0 = pygame.image.load("crawlCoco0.png").convert_alpha()
crawlCocoH = pygame.image.load("crawlCocoH.png").convert_alpha()

crawlerPluck = pygame.image.load("crawlerPluck.png").convert_alpha()

gren=pygame.image.load("gren.png").convert_alpha()

blad=pygame.image.load("blad.png").convert_alpha()




bglast = pygame.image.load("bglast.png").convert()


elSide1 = pygame.image.load("elefantSide1.png").convert_alpha()
elSide2 = pygame.image.load("elefantSide2.png").convert_alpha()
elSide3 = pygame.image.load("elefantSide3.png").convert_alpha()
elSide4 = pygame.image.load("elefantSide4.png").convert_alpha()
elSide5 = pygame.image.load("elefantSide5.png").convert_alpha()
elSide6 = pygame.image.load("elefantSide6.png").convert_alpha()
elSide7 = pygame.image.load("elefantSide7.png").convert_alpha()
elSide8 = pygame.image.load("elefantSide8.png").convert_alpha()
elSide9 = pygame.image.load("elefantSide9.png").convert_alpha()
elSide10 = pygame.image.load("elefantSide10.png").convert_alpha()


limpLion1 = pygame.image.load("limpLion1.png").convert_alpha()
limpLion2 = pygame.image.load("limpLion2.png").convert_alpha()
limpLion3 = pygame.image.load("limpLion3.png").convert_alpha()
limpLion4 = pygame.image.load("limpLion4.png").convert_alpha()
limpLion5 = pygame.image.load("limpLion5.png").convert_alpha()
limpLion6 = pygame.image.load("limpLion6.png").convert_alpha()


endscreen = pygame.image.load("endscreen.png").convert()

gameover=  pygame.image.load("gameover.png").convert()

blink = pygame.image.load("blink.png").convert_alpha()

###################################################


nock = pygame.mixer.Sound("knock.ogg")
pling = pygame.mixer.Sound("B8.ogg")
danger = pygame.mixer.Sound("danger.ogg")
chop = pygame.mixer.Sound("chop.ogg")
oh = pygame.mixer.Sound("OAHAF.ogg")
Wwhistle = pygame.mixer.Sound("WHISTLE1.ogg")
birdwing = pygame.mixer.Sound("BIRDWING.ogg")
gun = pygame.mixer.Sound("GUN05.ogg")

pygame.mixer.music.load("jungle.ogg")
pygame.mixer.music.play(-1)



########################################

stand=[stand1,stand2,stand3,stand4]
walk=[walk1,walk2,walk3,walk4]
run=[run1,run2,run3,run4]
jumpup=[land, jump1up, jump2up]
jumpdown=[jump1dwn, jump2dwn]
knock=[knock1, knock2, knock3]

xstand=[xstand1,xstand2,xstand3,xstand4]
xwalk=[xwalk1,xwalk2,xwalk3,xwalk4]
xrun=[xrun1,xrun2,xrun3,xrun4]
xjumpup=[xland, xjump1up, xjump2up]
xjumpdown=[xjump1dwn, xjump2dwn]
xknock=[xknock1, xknock2, xknock3]

swing_in=[sw1, sw2, sw3, sw4, sw5, sw6]

bsf = [bsf1, bsf2, bsf3, bsf4, bsf5, bsf6, bsf7, bsf8, bsf9, bsf10, bsf11, bsf12]

bsb = [bsb1, bsb2, bsb3, bsb4, bsb5, bsb6, bsb7, bsb8, bsb9, bsf2, bsf3, bsf4, bsf5, bsf6, bsf7, bsf8, bsf9, bsf10, bsf11, bsf12]

yfall= [fall1, fall2, fall3, fall4, fall5, fall6]

crawlL=[crawler0, crawlerV]
crawlR=[crawler0, crawlerH]

crawlCL=[crawlCoco0, crawlCocoV]
crawlCR=[crawlCoco0, crawlCocoH]

whistle=[whistle1, whistle2]

bigsneak=[bigsneak1, bigsneak1, bigsneak1,bigsneak2, bigsneak1,bigsneak1,bigsneak3]

Yuma = yuma(stand, walk, run, jumpup, jumpdown, xstand, xwalk, xrun, xjumpup, xjumpdown, knock, xknock, swing_in, bsf, bsb, yfall, crawlL, crawlR, crawlCL, crawlCR, whistle, bigsneak)

swingL=[m41, m42, m43, m44, m45, m46, m47, m48, m49, m410, m411]
swingR=[rm41, rm42, rm43, rm44, rm45, rm46, rm47, rm48, rm49, rm410, rm411]



Apor=apa(swingL, swingR)

Apor2=apa(swingL, swingR)

crokwalkc=[croc1, croc2, croc1, croc3]
crokwalko=[croc1o, croc2o, croc1o, croc3o]
crokstand=[croc1, croc1o]

Crocky=crock(crokwalkc, crokwalko, crokstand)

fly = [yj1,yj2]

birds = [birds1, birds2, birds3, birds4, birds5]

birdattack = [birdattack1, birdattack2, birdattack3, birdattack4]

blood= [blood1, blood2, blood3]

Bee = stinger(fly, birds, birdattack, blood)

elf=[el1,el2,el3,el4,el5,el6,el7,el8,el9,el10]

elfS=[elSide1, elSide2, elSide3, elSide4, elSide5, elSide6, elSide7, elSide8, elSide9, elSide10]

pak=tantor(elf, elfS)


leon=[leo1, leo2, leo3]
limpin=[limpLion1, limpLion2, limpLion3, limpLion4, limpLion5, limpLion6]

lion= pantera(leon, limpin)


wgrass=[whg1, whg2, whg3]

wgrs= grass(wgrass)

hwalkleft=[huntSneak1, huntSneak2, huntSneak3, huntSneak4, huntSneak5, huntSneak6]
hwalkright=[huntSneakR1, huntSneakR2, huntSneakR3, huntSneakR4, huntSneakR5, huntSneakR6]

hunthit=[huntHit1, huntHit2, huntHit2]
huntRhit=[huntHitR1, huntHitR2, huntHitR3]

huntUp=[huntUp1, huntUp2, huntUp3, huntUp4, huntUp5, huntUp6]
huntStand =[huntStand1, huntStand2, huntStand3]

huntWalk=[huntWalk1, huntWalk2, huntWalk3, huntWalk4, huntWalk5, huntWalk6]

huntCWalk=[huntCWalk1, huntCWalk2, huntCWalk3, huntCWalk4, huntCWalk5]

huntCstand=[huntCstand1, huntCstand2, huntCstand3, huntCstand4, huntCstand5]

huntInTent= [huntInTent1, huntInTent2,huntInTent1, huntInTent2,huntInTent1, huntInTent2, huntInTent3, huntInTent4, huntInTent6, huntInTent5, huntInTent4]

hunty=hunter(hwalkleft, hwalkright, hunthit, huntRhit, huntUp, huntStand, huntWalk, huntCWalk, huntCstand, huntInTent)




###########################################################
##############################################################

dialog1_1= font1.render("Hello mister Golem!", True, (0,0,0))
dialog1_2= font1.render("Is all well with you?", True, (0,0,0))

dialog2_1= font1.render("Greetings Yuma. All is", True, (255,255,255))
dialog2_2= font1.render("as it always is with me.", True, (255,255,255))
dialog2_3= font1.render("Thank you for", True, (255,255,255))
dialog2_4= font1.render("coming here.", True, (255,255,255))

dialog3_1= font1.render("Is there a", True, (0,0,0))
dialog3_2= font1.render("problem?", True, (0,0,0))

dialog4_1= font1.render("There always is.", True, (255,255,255))

dialog5_1= font1.render("True enough! Anything", True, (0,0,0))
dialog5_2= font1.render("specific? Something I", True, (0,0,0))
dialog5_3= font1.render("can do about it?", True, (0,0,0))

dialog6_1= font1.render("I hope so!", True, (255,255,255))
dialog6_2= font1.render("The old Elephant", True, (255,255,255))
dialog6_3= font1.render("is troubled.", True, (255,255,255))

dialog7_1= font1.render("Old Ms Paka?", True, (0,0,0))
dialog7_2= font1.render("What ever is wrong?", True, (0,0,0))

dialog8_1= font1.render("I do not know.", True, (255,255,255))
dialog8_2= font1.render("But she is ", True, (255,255,255))
dialog8_3= font1.render("very worried.", True, (255,255,255))

dialog9_1= font1.render("I better visit", True, (0,0,0))
dialog9_2= font1.render("her and have a", True, (0,0,0))
dialog9_3= font1.render("talk then.", True, (0,0,0))

dialog10_1= font1.render("Agreed. But", True, (255,255,255))
dialog10_2= font1.render("beware of falling", True, (255,255,255))
dialog10_3= font1.render("coconuts,...", True, (255,255,255))

dialog11_1= font1.render("... biting", True, (255,255,255))
dialog11_2= font1.render("crocodiles and", True, (255,255,255))
dialog11_3= font1.render("stinging bees.", True, (255,255,255))

dialog12_1= font1.render("Sound advice,", True, (0,0,0))
dialog12_2= font1.render("as always.", True, (0,0,0))


dialog20_1= font1.render("Hello Ms Paka.", True, (0,0,0))
dialog20_2= font1.render("How are things?", True, (0,0,0))

dialog21_1= font1.render("Hello my Dear.", True, (0,0,0))
dialog21_2= font1.render("I'm so glad", True, (0,0,0))
dialog21_3= font1.render("to see you.", True, (0,0,0))

dialog22_1= font1.render("Mr Golem", True, (0,0,0))
dialog22_2= font1.render("thought something", True, (0,0,0))
dialog22_3= font1.render("might be wrong.", True, (0,0,0))

dialog23_1= font1.render("He was so right.", True, (0,0,0))
dialog23_2= font1.render("Things are bad.", True, (0,0,0))
dialog23_3= font1.render("Very bad.", True, (0,0,0))

dialog24_1= font1.render("What has happened?", True, (0,0,0))  

dialog25_1= font1.render("There is a Hunter", True, (0,0,0))
dialog25_2= font1.render("with a big gun.", True, (0,0,0))
dialog25_3= font1.render("Killing everything.", True, (0,0,0))  

dialog26_1= font1.render("The jungle is", True, (0,0,0))
dialog26_2= font1.render("full of killers,", True, (0,0,0))
dialog26_3= font1.render("Ms Paka.", True, (0,0,0)) 

dialog27_1= font1.render("This one is different.", True, (0,0,0))
dialog27_2= font1.render("He kills everything.", True, (0,0,0))
dialog27_3= font1.render("And not for food.", True, (0,0,0))   

dialog28_1= font1.render("I better have", True, (0,0,0))
dialog28_2= font1.render("a look then.", True, (0,0,0))
  
dialog29_1= font1.render("Be careful.", True, (0,0,0))
dialog29_2= font1.render("He might kill", True, (0,0,0))
dialog29_3= font1.render("people to.", True, (0,0,0))  

dialog30_1= font1.render("He might, if", True, (0,0,0))
dialog30_2= font1.render("he is hunting", True, (0,0,0))
dialog30_3= font1.render("illegaly.", True, (0,0,0))    

dialog31_1= font1.render("Sneak up on him", True, (0,0,0))
dialog31_2= font1.render("and kill him with", True, (0,0,0))
dialog31_3= font1.render("your bow and arrows.", True, (0,0,0))   

dialog32_1= font1.render("Good idea.", True, (0,0,0))
dialog32_2= font1.render("That will be", True, (0,0,0))
dialog32_3= font1.render("my backup plan.", True, (0,0,0))

dialog33_1= font1.render("Is that his", True, (0,0,0))
dialog33_2= font1.render("campfire I", True, (0,0,0))
dialog33_3= font1.render("smell?", True, (0,0,0))

dialog34_1= font1.render("So that is what", True, (0,0,0))
dialog34_2= font1.render("that foul smell is.", True, (0,0,0))

dialog35_1= font1.render("Please don't take", True, (0,0,0))
dialog35_2= font1.render("any unnecessary", True, (0,0,0))
dialog35_3= font1.render("risks.", True, (0,0,0))

dialog36_1= font1.render("I'm always careful.", True, (0,0,0))  

dialog37_1= font1.render("No, your not.", True, (0,0,0))
dialog37_2= font1.render("That's why you", True, (0,0,0))
dialog37_3= font1.render("get hit by", True, (0,0,0))
dialog37_4= font1.render("coconuts.", True, (0,0,0))
  

dialog38_1= font1.render("So I have", True, (0,0,0))
dialog38_2= font1.render("a hard head.", True, (0,0,0))
dialog38_3= font1.render("See you later.", True, (0,0,0))



dialog40_1= font1.render("Hello Leo!", True, (0,0,0))
dialog40_2= font1.render("Taking a catnap?", True, (0,0,0))

dialog41_1= font1.render("Go away, annoying", True, (0,0,0))
dialog41_2= font1.render("small ... person.", True, (0,0,0))

dialog42_1= font1.render("I am Yuma.", True, (0,0,0))
dialog42_2= font1.render("Don't you remember?", True, (0,0,0))

dialog43_1= font1.render("I am dying here.", True, (0,0,0))
dialog43_2= font1.render("Can I please get to", True, (0,0,0))
dialog43_3= font1.render("do that in peace?", True, (0,0,0))

dialog44_1= font1.render("pssh... A big strong", True, (0,0,0))
dialog44_2= font1.render("lion dying from a", True, (0,0,0))
dialog44_3= font1.render("scratch?", True, (0,0,0))

dialog45_1= font1.render("I would not", True, (0,0,0))
dialog45_2= font1.render("think so.", True, (0,0,0))

dialog46_1= font1.render("A scratch!!!", True, (0,0,0))
dialog46_2= font1.render("I was shot with a", True, (0,0,0))
dialog46_3= font1.render("great big gun!", True, (0,0,0))

dialog47_1= font1.render("So, you have met the", True, (0,0,0))
dialog47_2= font1.render("hunter. I'm looking to", True, (0,0,0))
dialog47_3= font1.render("have a word with him.", True, (0,0,0))

dialog48_1= font1.render("Can you tell me", True, (0,0,0))
dialog48_2= font1.render("something about him?", True, (0,0,0))

dialog49_1= font1.render("He has a great big", True, (0,0,0))
dialog49_2= font1.render("gun and he likes to", True, (0,0,0))
dialog49_3= font1.render("kill things.", True, (0,0,0))


##################################


dialog85_1 = font1.render("Where is the rest", True, (0,0,0))
dialog85_2 = font1.render("of your pride?", True, (0,0,0))

dialog86_1 = font1.render("They are dead.", True, (0,0,0))
dialog86_2 = font1.render("All dead. He left", True, (0,0,0))
dialog86_3 = font1.render("me for dead too.", True, (0,0,0))

dialog87_1 = font1.render("I'm so", True, (0,0,0))
dialog87_2 = font1.render("sorry Leo.", True, (0,0,0))

dialog88_1 = font1.render("I regeret I will not", True, (0,0,0))
dialog88_2 = font1.render("have the opportunity", True, (0,0,0))
dialog88_3 = font1.render("to crush his head with", True, (0,0,0))
dialog88_4 = font1.render("my teath.", True, (0,0,0))

dialog89_1= font1.render("So Ms Paka was", True, (0,0,0))
dialog89_2= font1.render("right. We have a mad ", True, (0,0,0))
dialog89_3= font1.render("killer on the lose.", True, (0,0,0))


##################################











dialog51_1= font1.render("He is mad alright.", True, (0,0,0))
dialog51_2= font1.render("A sane hunter would", True, (0,0,0))
dialog51_3= font1.render("shot elephants,", True, (0,0,0))
dialog51_4= font1.render("not lions!!", True, (0,0,0))

dialog52_1= font1.render("A - Offer to take a look at Leo's wound.", True, (255,255,255))
dialog52_2= font1.render("B - Go looking for the hunter.", True, (255,255,255))

dialog53_1= font1.render("I could take a", True, (0,0,0))
dialog53_2= font1.render("look at your wound.", True, (0,0,0))

dialog54_1= font1.render("Is it not bad", True, (0,0,0))
dialog54_2= font1.render("enough as it is?", True, (0,0,0))

dialog55_1= font1.render("You think you are dying.", True, (0,0,0))
dialog55_2= font1.render("How could I make it", True, (0,0,0))
dialog55_3= font1.render("worse?", True, (0,0,0))

dialog56_1= font1.render("I'm sure you will", True, (0,0,0))
dialog56_2= font1.render("find a way!", True, (0,0,0))

dialog57_1= font1.render("Don't be such a", True, (0,0,0))
dialog57_2= font1.render("scaredy-cat.", True, (0,0,0))

dialog58_1= font1.render("If you kill me at least", True, (0,0,0))
dialog58_2= font1.render("I will not have to listen ", True, (0,0,0))
dialog58_3= font1.render("to you anymore.", True, (0,0,0))

dialog59_1= font1.render("That's the spirit.", True, (0,0,0))



dialog60_1= font1.render("I see the entry wound.", True, (0,0,0))
dialog60_2= font1.render("It is bleeding quite a", True, (0,0,0))
dialog60_3= font1.render("bit. That's not good.", True, (0,0,0))

dialog61_1= font1.render("I don't see any exit", True, (0,0,0))
dialog61_2= font1.render("wound. Do you have", True, (0,0,0))
dialog61_3= font1.render("any wound on the other", True, (0,0,0))
dialog61_4= font1.render("side of the body?", True, (0,0,0))

dialog62_1= font1.render("I have a pretty big", True, (0,0,0))
dialog62_2= font1.render("gash to the head, but", True, (0,0,0))
dialog62_3= font1.render("nothing more.", True, (0,0,0))

dialog63_1= font1.render("OK, I look at the gash", True, (0,0,0))
dialog63_2= font1.render("next. First we handle ", True, (0,0,0))
dialog63_3= font1.render("this wound.", True, (0,0,0))

dialog64_1= font1.render("We have no exit wound.", True, (0,0,0))
dialog64_2= font1.render("So the bullet is stuck ", True, (0,0,0))
dialog64_3= font1.render("in the body.", True, (0,0,0))

dialog65_1= font1.render("A - Stop the bleeding.", True, (255, 255, 255))
dialog65_2= font1.render("B - Cut out the bullet. ", True, (255, 255, 255))

dialog65_3= font1.render("A - Stop the bleeding from the entry wound.", True, (255, 255, 255))

dialog66_1= font1.render("I'll get some mud", True, (0,0,0))
dialog66_2= font1.render("to stop the bleeding. ", True, (0,0,0))

dialog67_1= font1.render("You will smear mud", True, (0,0,0))
dialog67_2= font1.render("on the wound? That's ", True, (0,0,0))
dialog67_3= font1.render("crazy.", True, (0,0,0))

dialog68_1= font1.render("It will stop you", True, (0,0,0))
dialog68_2= font1.render("from bleeding out.", True, (0,0,0))
dialog68_3= font1.render("OK?", True, (0,0,0))

dialog69_1= font1.render("Whatever.", True, (0,0,0))

dialog70_1= font1.render("There. That should", True, (0,0,0))
dialog70_2= font1.render("stop the bleeding.", True, (0,0,0))
dialog70_3= font1.render("Do you feel OK?", True, (0,0,0))

dialog71_1= font1.render("No. But it is not", True, (0,0,0))
dialog71_2= font1.render("worse either.", True, (0,0,0))

dialog72_1= font1.render("That is good", True, (0,0,0))
dialog72_2= font1.render("enough.", True, (0,0,0))

dialog73_1= font1.render("A - Look at the head wound.", True, (255, 255, 255))
dialog73_2= font1.render("B - Cut out the bullet. ", True, (255, 255, 255))

dialog74_1= font1.render("Ouch. That nearly", True, (0,0,0))
dialog74_2= font1.render("took your eye out.", True, (0,0,0))

dialog75_1= font1.render("But it should heal", True, (0,0,0))
dialog75_2= font1.render("fine on its own.", True, (0,0,0))

dialog76_1= font1.render("How many fingers do", True, (0,0,0))
dialog76_2= font1.render("you see?", True, (0,0,0))

dialog77_1= font1.render("What??", True, (0,0,0))

dialog78_1= font1.render("That was a stupid", True, (0,0,0))
dialog78_2= font1.render("question, wasn't it?", True, (0,0,0))

dialog79_1= font1.render("Very!!", True, (0,0,0))

dialog80_1= font1.render("A - Go look for the hunter.", True, (255, 255, 255))
dialog80_2= font1.render("B - Cut out the bullet. ", True, (255, 255, 255))

dialog81_1= font1.render("Se you later", True, (0,0,0))
dialog81_2= font1.render("Leo!", True, (0,0,0))




dialog100_1= font1.render("Those damn porters", True, (0,0,0))
dialog100_2= font1.render("running away", True, (0,0,0))
dialog100_3= font1.render("on me.", True, (0,0,0))

dialog101_1= font1.render("What's up with that?", True, (0,0,0))
dialog101_2= font1.render("I'm too kind, that is", True, (0,0,0))
dialog101_3= font1.render("the problem.", True, (0,0,0))

dialog102_1= font1.render("I did not whip enough", True, (0,0,0))
dialog102_2= font1.render("of them. Yeah, that is", True, (0,0,0))
dialog102_3= font1.render("the problem.", True, (0,0,0))

dialog103_1= font1.render("So what do I", True, (0,0,0))
dialog103_2= font1.render("do now? ", True, (0,0,0))

dialog104_1= font1.render("I guess I go", True, (0,0,0))
dialog104_2= font1.render("shot me some game.", True, (0,0,0))
dialog104_3= font1.render("It is so relaxing.", True, (0,0,0))

dialog105_1= font1.render("Wait! I think I", True, (0,0,0))
dialog105_2= font1.render("hear something", True, (0,0,0))
dialog105_3= font1.render("out there.", True, (0,0,0))

dialog106_1= font1.render("Maybe I get", True, (0,0,0))
dialog106_2= font1.render("something to shot ", True, (0,0,0))
dialog106_3= font1.render("right at my doorstep", True, (0,0,0))



dialog200_1= font1.render("The hunter has been", True, (0,0,0))
dialog200_2= font1.render("here I see. So many", True, (0,0,0))
dialog200_3= font1.render("needless kills.", True, (0,0,0))

dialog201_1= font1.render("He must be", True, (0,0,0))
dialog201_2= font1.render("stopped!", True, (0,0,0))



dialog203_1= font1.render("A - Make the cut.", True, (255,255,255))
dialog203_2= font1.render("B - This is to dangerous. Better leave the bullet in.", True, (255,255,255))

dialog203_3= font1.render("A - Open the cut.", True, (255,255,255))

dialog203_4= font1.render("A - Remove the bullet.", True, (255,255,255))

dialog203_5= font1.render("A - Close up the cut.", True, (255,255,255))

dialog204_1= font1.render("The mud will hold", True, (0,0,0))
dialog204_2= font1.render("the thorns in place ", True, (0,0,0))
dialog204_3= font1.render("and stop any bleeding.", True, (0,0,0))


dialog210_1= font1.render("That is the hunter's", True, (0,0,0))
dialog210_2= font1.render("tent. Strange just ", True, (0,0,0))
dialog210_3= font1.render("the one tent.", True, (0,0,0))

dialog211_1= font1.render("There is no", True, (0,0,0))
dialog211_2= font1.render("trace of a", True, (0,0,0))
dialog211_3= font1.render("truck.", True, (0,0,0))

dialog212_1= font1.render("He can not have come", True, (0,0,0))
dialog212_2= font1.render("here without porters.", True, (0,0,0))
dialog212_3= font1.render("Where are they?", True, (0,0,0))

dialog213_1= font1.render("He could not have", True, (0,0,0))
dialog213_2= font1.render("killed them too, ", True, (0,0,0))
dialog213_3= font1.render("could he? ", True, (0,0,0))

dialog214_1= font1.render("Surely not.", True, (0,0,0))
dialog214_2= font1.render("But where are ", True, (0,0,0))
dialog214_3= font1.render("they? ", True, (0,0,0))

dialog215_1= font1.render("This is a strange", True, (0,0,0))
dialog215_2= font1.render("way to run a camp. ", True, (0,0,0))

dialog216_1= font1.render("A - Call the camp.", True, (255, 255, 255))
dialog216_2= font1.render("B - Sneak up on the tent. ", True, (255, 255,255))

dialog217_1= font1.render("Hello camp!", True, (0,0,0))
dialog217_2= font1.render("Anyone there?", True, (0,0,0))



dialog230_1= font1.render("Who are you?", True, (0,0,0))
dialog230_2= font1.render("And what the Heck ", True, (0,0,0))
dialog230_3= font1.render("are you doing here?", True, (0,0,0))

dialog231_1= font1.render("I am Yuma", True, (0,0,0))
dialog231_2= font1.render("I live here.", True, (0,0,0))

dialog232_1= font1.render("Oh yeah? Any", True, (0,0,0))
dialog232_2= font1.render("more people around? ", True, (0,0,0))
dialog232_3= font1.render("Big strong people.", True, (0,0,0))

dialog233_1= font1.render("My porters", True, (0,0,0))
dialog233_2= font1.render("abandoned me, the ", True, (0,0,0))
dialog233_3= font1.render("unloyal jackals.", True, (0,0,0))

dialog234_1= font1.render("Imagine that!", True, (0,0,0))
dialog234_2= font1.render("So what are you", True, (0,0,0))
dialog234_3= font1.render("doing here?", True, (0,0,0))

dialog235_1= font1.render("Minding my own ", True, (0,0,0))
dialog235_2= font1.render("business. You should ", True, (0,0,0))
dialog235_3= font1.render("try that.", True, (0,0,0))

dialog236_1= font1.render("You are", True, (0,0,0))
dialog236_2= font1.render("killing a lot of", True, (0,0,0))
dialog236_3= font1.render("animals.", True, (0,0,0))

dialog237_1= font1.render("What's that", True, (0,0,0))
dialog237_2= font1.render("to you?", True, (0,0,0))

dialog238_1= font1.render("I told you.", True, (0,0,0))
dialog238_2= font1.render("I live here.", True, (0,0,0))

dialog239_1= font1.render("Terrific. Then you", True, (0,0,0))
dialog239_2= font1.render("would know where I", True, (0,0,0))
dialog239_3= font1.render("can find new porters.", True, (0,0,0))

dialog240_1= font1.render("So how did ", True, (0,0,0))
dialog240_2= font1.render("you lose the", True, (0,0,0))
dialog240_3= font1.render("first lot?", True, (0,0,0))

dialog241_1= font1.render("I told you. ", True, (0,0,0))
dialog241_2= font1.render("They ran", True, (0,0,0))
dialog241_3= font1.render("away.", True, (0,0,0))

dialog242_1= font1.render("Perhaps you", True, (0,0,0))
dialog242_2= font1.render("should move", True, (0,0,0))
dialog242_3= font1.render("on as well.", True, (0,0,0))

dialog243_1= font1.render("Perhaps you", True, (0,0,0))
dialog243_2= font1.render("should move", True, (0,0,0))
dialog243_3= font1.render("on.", True, (0,0,0))

dialog244_1= font1.render("I was here", True, (0,0,0))
dialog244_2= font1.render("first.", True, (0,0,0))

dialog245_1= font1.render("Don't bring a", True, (0,0,0))
dialog245_2= font1.render("a knife to a", True, (0,0,0))
dialog245_3= font1.render("gun fight.", True, (0,0,0))



dialog246_1= font1.render("She is gone!", True, (0,0,0))
dialog246_2= font1.render("Where did she", True, (0,0,0))
dialog246_3= font1.render("go?", True, (0,0,0))


dialog250_1= font1.render("Are you going to", True, (0,0,0))
dialog250_2= font1.render("kill me? Why are you ", True, (0,0,0))
dialog250_3= font1.render("doing this?", True, (0,0,0))

dialog251_1= font1.render("You kill for fun.", True, (0,0,0))
dialog251_2= font1.render("We don't want", True, (0,0,0))
dialog251_3= font1.render("you here.", True, (0,0,0))

dialog252_1= font1.render("Just animals.", True, (0,0,0))
dialog252_2= font1.render("That doesn't", True, (0,0,0))
dialog252_3= font1.render("count.", True, (0,0,0))

dialog253_1= font1.render("That's no reason", True, (0,0,0))
dialog253_2= font1.render("to hit me over", True, (0,0,0))
dialog253_3= font1.render("the head.", True, (0,0,0))

dialog254_1= font1.render("Here animals count.", True, (0,0,0))
dialog254_2= font1.render("And you where ", True, (0,0,0))
dialog254_3= font1.render("going to shot me.", True, (0,0,0))

dialog255_1= font1.render("It is all a mistake.", True, (0,0,0))
dialog255_2= font1.render("Off course I would", True, (0,0,0))
dialog255_3= font1.render("not shot you.", True, (0,0,0))

dialog256_1= font1.render("Your word is not any", True, (0,0,0))
dialog256_2= font1.render("good. We don't", True, (0,0,0))
dialog256_3= font1.render("want you here.", True, (0,0,0))

dialog257_1= font1.render("Go and don't", True, (0,0,0))
dialog257_2= font1.render("come back.", True, (0,0,0))

dialog258_1= font1.render("I can go?", True, (0,0,0))
dialog258_2= font1.render("You will not", True, (0,0,0))
dialog258_3= font1.render("kill me?", True, (0,0,0))

dialog259_1= font1.render("You go now as fast", True, (0,0,0))
dialog259_2= font1.render("as you can, and I", True, (0,0,0))
dialog259_3= font1.render("will not kill you.", True, (0,0,0))

dialog260_1= font1.render("If you come back", True, (0,0,0))
dialog260_2= font1.render("then I will kill you.", True, (0,0,0))

dialog261_1= font1.render("And the elephant ... ?", True, (0,0,0))

dialog262_1= font1.render("She voted for killing", True, (0,0,0))
dialog262_2= font1.render("you now. You better", True, (0,0,0))
dialog262_3= font1.render("go now.", True, (0,0,0))

dialog263_1= font1.render("OK, OK!", True, (0,0,0))
dialog263_2= font1.render("I'll go. Just give me", True, (0,0,0))
dialog263_3= font1.render("my gun back.", True, (0,0,0))

dialog264_1= font1.render("No gun.", True, (0,0,0))

dialog265_1= font1.render("But I must", True, (0,0,0))
dialog265_2= font1.render("have a gun to", True, (0,0,0))
dialog265_3= font1.render("have a chance.", True, (0,0,0))

dialog266_1= font1.render("You have a knife", True, (0,0,0))
dialog266_2= font1.render("You will have to make ", True, (0,0,0))
dialog266_3= font1.render("do with that.", True, (0,0,0))

dialog267_1= font1.render("Besides that, Ms Paka ", True, (0,0,0))
dialog267_2= font1.render("stepped on your gun a", True, (0,0,0))
dialog267_3= font1.render("couple of times.", True, (0,0,0))

dialog268_1= font1.render("I don't think ", True, (0,0,0))
dialog268_2= font1.render("it will work", True, (0,0,0))
dialog268_3= font1.render("anymore.", True, (0,0,0))

dialog269_1= font1.render("Ms Paka? ", True, (0,0,0))

dialog270_1= font1.render("The elephant.", True, (0,0,0))
dialog270_2= font1.render("She is getting impatient.", True, (0,0,0))
dialog270_3= font1.render("You better get going.", True, (0,0,0))

dialog271_1= font1.render("You will be watched.", True, (0,0,0))
dialog271_2= font1.render("Don't think of ", True, (0,0,0))
dialog271_3= font1.render("doubbling back.", True, (0,0,0))

dialog272_1= font1.render("It is a", True, (0,0,0))
dialog272_2= font1.render("mistake to let ", True, (0,0,0))
dialog272_3= font1.render("him go.", True, (0,0,0))

dialog273_1= font1.render("It is a bigger mistake", True, (255,255,255))
dialog273_2= font1.render("to kill without need.", True, (255,255,255))

dialog274_1= font1.render("Let him go get", True, (0,0,0))
dialog274_2= font1.render("killed somewhere", True, (0,0,0))
dialog274_3= font1.render("else.", True, (0,0,0))


dialog275_1= font1.render("And what if he comes", True, (0,0,0))
dialog275_2= font1.render("back with more", True, (0,0,0))
dialog275_3= font1.render("men and guns?", True, (0,0,0))

dialog276_1= font1.render("Then we will", True, (255,255,255))
dialog276_2= font1.render("be prepared.", True, (255,255,255))


dialog277_1= font1.render("There might not", True, (0,0,0))
dialog277_2= font1.render("be any need", True, (0,0,0))
dialog277_3= font1.render("for that.", True, (0,0,0))

dialog278_1= font1.render("I bet a limping", True, (0,0,0))
dialog278_2= font1.render("lion is faster than", True, (0,0,0))
dialog278_3= font1.render("a fat hunter.", True, (0,0,0))

dialog279_1= font1.render("And I did not", True, (0,0,0))
dialog279_2= font1.render("promise to let", True, (0,0,0))
dialog279_3= font1.render("him go.", True, (0,0,0))

dialog280_1= font1.render("Leo, you do not", True, (0,0,0))
dialog280_2= font1.render("have to do this", True, (0,0,0))

dialog281_1= font1.render("Oh yes,", True, (0,0,0))
dialog281_2= font1.render("I do.", True, (0,0,0))



###################################

while True:

    mx, my = pygame.mouse.get_pos()
    timePassed = clock.tick(30)

    for event in pygame.event.get():
        if event.type == QUIT:
            pygame.quit()
            exit()



#########################################
    if event.type==pygame.KEYDOWN:
       
        if event.key == pygame.K_r:
            pygame.mixer.stop()
            pygame.mixer.music.load("jungle.ogg")
            pygame.mixer.music.play(-1)
            SCENE=95
        elif event.key == pygame.K_m:
            pygame.mixer.stop()
            pygame.mixer.music.load("jungle.ogg")
            pygame.mixer.music.play(-1)
            SCENE=0
            leoheal=0
        elif event.key == pygame.K_q:
            pygame.quit()
            exit()
        elif event.key == pygame.K_c:
            SCENE=90
        elif event.key == pygame.K_l:
            SCENE=96
        elif event.key == pygame.K_w:
            file = open("load.txt","w") 
            file.write(str(lastscene))
            file.write("\n")
            file.write(str(leoheal))
            file.close()
            channel= pling.play(0)


            

####################################################################################################################
    if SCENE==0:
        
        
        Yuma.mode=20
        dialog=0
        
       
        if event.type==pygame.KEYDOWN:
            if event.key == pygame.K_n:
                SCENE=1
            


        screen.blit(title,(0,0))

#######################################################################################################################
    if SCENE==1:         ##########  Golem

        lastscene=1

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog>19:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
                if dialog>20:
                    dialog -=1
                    leftOnce=0

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1
        

        if Yuma.mode==20:
            Yuma.swing_ining()
            
        elif Yuma.mode==0:
            Yuma.standing()

        elif Yuma.mode==1:
            Yuma.walking()
        
        
        screen.fill((0,255,0))
        screen.blit(sky,(0,-15))
        screen.blit(tree,(0,0))
        
        




        
        if Yuma.mode==20:
            screen.blit(Yuma.img,(0,0))
            
        elif Yuma.mode==0:
            screen.blit(lian,(260,0))
            screen.blit(Yuma.img,(212,270))
            if dialog<20:
                dialog += 1

        elif Yuma.mode==1:
            screen.blit(lian,(260,0))
            screen.blit(Yuma.img,(Yuma.x,270))

        screen.blit(golem,(400,250))
        screen.blit(bush, (5,420))
        screen.blit(wine, (-200,0))

        if dialog<22:
            screen.blit(keys1,(5,400))

        if dialog==20:
            screen.blit(balloon,(44,58))
            screen.blit(dialog1_1,(85,125))
            screen.blit(dialog1_2,(80,150))
            
        elif dialog==21:
            screen.blit(balloon2,(400,10))
            screen.blit(dialog2_1,(425,70))
            screen.blit(dialog2_2,(420,95))
            screen.blit(dialog2_3,(460,120))
            screen.blit(dialog2_4,(465,145))

        elif dialog==22:
            screen.blit(balloon,(44,58))
            screen.blit(dialog3_1,(110,135))
            screen.blit(dialog3_2,(120,160))

        elif dialog==23:
            screen.blit(balloon2,(400,10))
            screen.blit(dialog4_1,(440,100))

        elif dialog==24:   
            screen.blit(balloon,(44,58))
            screen.blit(dialog5_1,(80,125))
            screen.blit(dialog5_2,(75,150))
            screen.blit(dialog5_3,(95,175))

        elif dialog==25:
            screen.blit(balloon2,(400,10))  
            screen.blit(dialog6_1,(460,75))
            screen.blit(dialog6_2,(440,100))
            screen.blit(dialog6_3,(460,125))

        elif dialog==26:
            screen.blit(balloon,(44,58))
            screen.blit(dialog7_1,(100,130))
            screen.blit(dialog7_2,(75,155))

        elif dialog==27:
            screen.blit(balloon2,(400,10))
            screen.blit(dialog8_1,(460,75))
            screen.blit(dialog8_2,(440,100))
            screen.blit(dialog8_3,(460,125))

        elif dialog==28:   
            screen.blit(balloon,(44,58))
            screen.blit(dialog9_1,(100,125))
            screen.blit(dialog9_2,(95,150))
            screen.blit(dialog9_3,(105,175))

        elif dialog==29:
            screen.blit(balloon2,(400,10)) 
            screen.blit(dialog10_1,(460,75))
            screen.blit(dialog10_2,(440,100))
            screen.blit(dialog10_3,(460,125))

        elif dialog==30:
            screen.blit(balloon2,(400,10))  
            screen.blit(dialog11_1,(470,75))
            screen.blit(dialog11_2,(450,100))
            screen.blit(dialog11_3,(460,125))

        elif dialog==31:   
            screen.blit(balloon,(44,58))
            screen.blit(dialog12_1,(95,130))
            screen.blit(dialog12_2,(110,155))

        elif dialog==32:
            Yuma.mode=1
            Yuma.walking()
            dialog=33
            
        elif dialog>32:
            Yuma.x +=3
            if dialog>33:
                dialog=33
            if Yuma.x>640:
                Yuma.mode=0
                Crocky.x=-250
                SCENE=2
                
            

        #screen.blit(font1.render(str(mx) + ":" + str(my), True, (0,0,0),(255,255,255) ),(5,5))
 #################################################################################################################       

    elif SCENE==2:           #### scene 2     coconuts bananas crock and bee

        lastscene=2

        if points<0.5:
            SCENE=100
            pygame.mixer.stop()
            pygame.mixer.music.load("gameover.ogg")
            pygame.mixer.music.play(-1)

        if distance>9000 and beeOn==0 and Crocky.x< -245:
            SCENE = 3
            dialog=0
        
        if event.type==pygame.KEYDOWN:

             
            if event.key == pygame.K_UP:
                if -1<Yuma.mode<3:
                    Yuma.mode=3
                elif -4<Yuma.mode<0:
                    Yuma.mode=-4

            elif event.key == pygame.K_DOWN:
                if Yuma.mode==3:
                    Yuma.mode=4
                elif Yuma.mode==-4:
                    Yuma.mode=-5
                elif Yuma.mode>-1 and Yuma.mode!=4 and Yuma.mode!=10:
                    Yuma.mode=6
                    moving=0
                elif Yuma.mode<0 and Yuma.mode!=-5 and Yuma.mode!=-10:
                    Yuma.mode=-7
                    moving=0

          
            if -4< Yuma.mode <3:
                if event.key == pygame.K_RIGHT and rightOnce==1:
                    
                    if moving==1:
                        moving=2
                        Yuma.mode=2
                    rightOnce=0
                   

                elif event.key == pygame.K_LEFT and leftOnce==1:
                    
                    if moving==-1:
                        moving=-2
                        Yuma.mode=-3
                    leftOnce=0
                    

                elif  event.key == pygame.K_a:
                    moving=-1
                    Yuma.mode=-2

                elif  event.key == pygame.K_s:
                    moving=0
                    Yuma.mode=0

                elif  event.key == pygame.K_d:
                    moving=1
                    Yuma.mode=1

             
                

        if event.type==pygame.KEYUP:
            

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1

                
            elif event.key == pygame.K_DOWN:
                if Yuma.mode==6:
                    Yuma.mode=0
                elif Yuma.mode==-7:
                    Yuma.mode=-1


                                                                                                                                                 ###  scene 2
######################################################################################## 

        Bee.flying()
                    

        if apOn==0 and Yuma.mode!=0:
            apOn=1

        if crocOn==0 and distance>4000:
            crocOn=1


        if moving==1:
            distance +=3
        elif moving==2:
            distance +=6
        if moving==-1:
            distance -=3
        elif moving==-2:
            distance -=6
            

        if Yuma.mode==0:
            Yuma.standing()
            headX=62
            headY=48
            feetY=135
            moving=0

        elif Yuma.mode==-1:
            Yuma.xstanding()
            headX=62
            headY=48
            feetY=135
            moving=0

        elif Yuma.mode==1:
            Yuma.walking()
            headX=62
            headY=48
            feetY=135

        elif Yuma.mode==-2:
            Yuma.xwalking()
            headX=62
            headY=48
            feetY=135

        elif Yuma.mode==2:
            Yuma.runing()
            headX=73
            headY=48
            feetY=135

        elif Yuma.mode==-3:
            Yuma.xruning()
            headX=53
            headY=48
            feetY=135

        elif Yuma.mode==3:
            Yuma.jumpuping()
            headX=67
            headY=46
            feetY=118

        elif Yuma.mode==-4:
            Yuma.xjumpuping()
            headX=57
            headY=47
            feetY=118

        elif Yuma.mode==4:
            Yuma.jumpdowning()
            headX=78
            headY=53
            feetY=118

        elif Yuma.mode==-5:
            Yuma.xjumpdowning()
            headX=45
            headY=53
            feetY=118

        elif Yuma.mode==5:
            Yuma.img=land
            landing += 1
            headX=70
            headY=60
            feetY=135
            if landing>10:
                Yuma.mode=0

        elif Yuma.mode==-6:
            Yuma.img=xland
            landing += 1
            headX=56
            headY=60
            if landing>10:
                Yuma.mode=-1

        elif Yuma.mode==6:
            Yuma.img=crouch
            headX=81
            headY=97
            feetY=135
            
        elif Yuma.mode==-7:
            Yuma.img=xcrouch
            headX=43
            headY=97
            feetY=135

        elif Yuma.mode==10:
            Yuma.knocking()
            headX=64
            headY=81
            feetY=135
            moving=0
            if Yuma.y<270:
                Yuma.y += 5
            else:
                Yuma.y=270

        elif Yuma.mode==-10:
            Yuma.xknocking()
            headX=64
            headY=81
            feetY=135
            moving=0
            if Yuma.y<270:
                Yuma.y += 5
            else:
                Yuma.y=270      
        
        if (Yuma.mode==3 or Yuma.mode==-4) and 0<Yuma.jump<5:                                                                   #### Scene 2
            Yuma.y -= 5

        elif Yuma.mode==3 and Yuma.jump>=5:
            Yuma.img= jump1dwn
            Yuma.mode=4
            Yuma.jump=0

        elif Yuma.mode==-4 and Yuma.jump>=5:
            Yuma.img= xjump1dwn
            Yuma.mode=-5
            Yuma.jump=0
            
            #Yuma.jumpdowning()

        if Yuma.mode==4 or Yuma.mode==-5:
            Yuma.y += 5

        if Yuma.y>260 and Yuma.mode==4:
            Yuma.y=270
            Yuma.mode=5

        elif Yuma.y>260 and Yuma.mode==-5:
            Yuma.y=270
            Yuma.mode=-6


        if apOn==0:
            Apor.x=650
            Apor2.x=-200
            

        if apOn==1:    

            Apor.swinginL()
            if moving==0:
                Apor.x -=8
            elif moving==1:
                Apor.x -=12
            elif moving==2:
                Apor.x -=15
            elif moving==-1:
                Apor.x -=5
            elif moving==-2:
                Apor.x -=2
                
            if Apor.x< -150:
                Apor.x=650


            Apor2.swinginR()
            if moving==0:
                Apor2.x +=8
            elif moving==-1:
                Apor2.x +=12
            elif moving==-2:
                Apor2.x +=15
            elif moving==1:
                Apor2.x +=5
            elif moving==2:
                Apor2.x +=2
                
            if Apor2.x> 650:
                Apor2.x=-200


        if crocOn==1:
            if Crocky.x<285:
                Crocky.cwalking()
                if snappOnce==1:
                    channel=chop.play()
                    snappOnce=0
                    ##if Yuma.mode!=3 and Yuma.mode!=4:
                    if inCircle(Crocky.x +35, 400, 275, Yuma.y + feetY, 60):
                        Crocky.x += 200
                        Yuma.mode=10   ########################################    crock img  collision        scene 2
                        points -=2

                        treeX += 200
                        treeX2 +=200
                        if treeX>640:
                            treeX = treeX2-1200
                        elif treeX2>640:
                            treeX2 = treeX-1200

                        for i in range(10):
 
                            if coco_list[i][0]==1:
                                coco_list[i][1] += 200

            elif Crocky.x>270 and Yuma.mode==10 or Yuma.mode==-10:
                Crocky.standing()
                    
            else:
                Crocky.owalking()
                snappOnce=1

        if beeOn==1:
            Bee.x -= 10
        if Bee.x < -50:
            Bee.x = 650
            beeOn=0

        if beeOn==0 and 9000 > distance>2000:
            beNomb += 1
            if beNomb>200:## and crocOn==0:
                beeOn=1
                beNomb=0


        if inCircle(Bee.x, Bee.y+25, headX+212, headY+Yuma.y, 25):
            if stingOnce==1:
                points -= 0.5
                channel = oh.play()
                stingOnce=0
        elif stingOnce==0:
            stingOnce=1

        
        if moving==0:
            Crocky.x -=4
            if Yuma.mode==10 or Yuma.mode==-10:
                Crocky.x +=4
                Crocky.standing()
        elif moving==1:
            Crocky.x -=7
        elif moving==2:
            Crocky.x -=10
        elif moving==-1:
            Crocky.x -=1
        elif moving==-2:
            Crocky.x +=2
            
        if Crocky.x< -245:
            Crocky.x=-250
            if crocOn==1 and distance<9000:
                crocnumb += 1
            if crocnumb > 100 and Yuma.mode!=10 and Yuma.mode!=-10:
                Crocky.x=750
                crocnumb=0
                channel= danger.play() 
 ########################################################           

        if moving==1:
            if treeleader==1:
                treeX-= 3
                treeX2= treeX+1200
                         
            else:
                treeX2 -= 3
                treeX= treeX2+1200


            if bushleader==1:
                bushX-= 6
                bushX2= bushX+640
                wineX -= 6
                         
            else:
                bushX2 -= 6
                bushX= bushX2+640
                wineX -= 6

        elif moving==-1:
            if treeleader==2:
                treeX+= 3
                treeX2= treeX-1200
                         
            else:
                treeX2 += 3
                treeX= treeX2-1200


            if bushleader==2:
                bushX+= 6
                bushX2= bushX-640
                wineX += 6
                         
            else:
                bushX2 += 6
                bushX= bushX2-640
                wineX += 6
            
                
        elif moving==2:
            wineX -= 16
            if treeleader==1:
                treeX-= 8
                treeX2= treeX+1200
            else:
                treeX2 -= 8
                treeX= treeX2+1200

                
            if bushleader==1:
                bushX-= 16
                bushX2= bushX+640
            else:
                bushX2 -= 16
                bushX= bushX2+640


        elif moving==-2:                                                                                                  ### scene 2
            wineX += 16
            if treeleader==2:
                treeX+= 8
                treeX2= treeX-1200
            else:
                treeX2 += 8
                treeX= treeX2-1200

                
            if bushleader==2:
                bushX+= 16
                bushX2= bushX-640
            else:
                bushX2 += 16
                bushX= bushX2-640

                
        if moving>0:
            if treeX< -1202:
                treeleader=2
        
            elif treeX2< -1202:
                treeleader=1

            if 640>treeX>10 and treeleader==1:
                treeleader=2
            elif 640>treeX2>10 and treeleader==2:
                treeleader=1
            

            if bushX< -640:
                bushleader=2
            elif bushX2< -640:
                bushleader=1

            if wineX< -700:
                wineX=642

        elif moving<0:
            if treeX> 642:
                treeleader=1
            elif treeX2> 642:
                treeleader=2

            if 640>treeX>10 and treeleader==1:
                treeleader=2
            elif 640>treeX2>10 and treeleader==2:
                treeleader=1       

                

            if bushX> 640:
                bushleader=1
            elif bushX2> 640:
                bushleader=2

            if wineX> 700:
                wineX=-642
####################################################

        if 60 < Apor.x < 580:
            if randint(0,40)==5:
                for i in range(10):
                    if coco_list[i][0]==0:
                        coco_list[i][0] = 1
                        coco_list[i][1] = Apor.x + 30
                        coco_list[i][2] = 30
                        coco_list[i][3] = randint(0,5)
                        break


        if 60 < Apor2.x < 580:
            if randint(0,20)==5:
                for i in range(10):
                    if coco_list[i][0]==0:
                        coco_list[i][0] = 1
                        coco_list[i][1] = Apor2.x + 30
                        coco_list[i][2] = 30
                        coco_list[i][3] = randint(0,5)
                        break



        for i in range(10):
 
            if coco_list[i][0]==1:

                if inCircle(coco_list[i][1], coco_list[i][2], headX+212, headY+Yuma.y, 35) and Yuma.mode!=10 and Yuma.mode!=-10 and coco_list[i][2]<headY+Yuma.y and coco_list[i][3]!=1:
                    coco_list[i][0]=0
                    channel= nock.play(0)
                    points -=1
                    if Yuma.mode>-1:
                        Yuma.mode=10
                    else:
                        Yuma.mode=-10

                elif coco_list[i][3]==1:
                    if -4<Yuma.mode<3 and inArea(coco_list[i][1], coco_list[i][2], 275, 371, 320, 435):
                        points +=1
                        if points>10:
                            points=10
                        coco_list[i][0]=0
                        channel= pling.play(0)

                
                coco_list[i][2] += 8   # fall hastighet                                                          scene 2

                if coco_list[i][2]>400:
                    coco_list[i][2]=400

                if moving==1:
                    coco_list[i][1] -= 4 

                elif moving==2:
                    coco_list[i][1] -= 9 

     
                elif moving==-1:
                    coco_list[i][1] += 4 

                elif moving==-2:
                    coco_list[i][1] += 9


                if coco_list[i][1]< -30:
                    coco_list[i][0]=0
                elif coco_list[i][1]> 650:
                    coco_list[i][0]=0

        
                
                
        screen.fill((0,255,0))
        screen.blit(sky,(0,-15))
        if -1202<treeX<642:
            screen.blit(tree,(treeX,0))
        if -1202<treeX2<642:
            screen.blit(tree2,(treeX2,0))

        for i in range(10):
            if coco_list[i][0]==1:
                if coco_list[i][3]==1:
                    screen.blit(banana, (coco_list[i][1],coco_list[i][2]))
                else:
                    screen.blit(coco, (coco_list[i][1],coco_list[i][2]))    

        if apOn==1:
            screen.blit(Apor.img, (Apor.x,Apor.y))
            screen.blit(Apor2.img, (Apor2.x,Apor2.y))


        screen.blit(Bee.img, (Bee.x,Bee.y))
            

        screen.blit(Yuma.img, (212,Yuma.y))

        if crocOn==1:
            screen.blit(Crocky.img, (Crocky.x,340))

        

        screen.blit(bush, (bushX,420))
        screen.blit(bush2, (bushX2,420))

        screen.blit(wine, (wineX,0))

        if apOn==0:
            screen.blit(keys2,(5,80))


        if points>9:
           screen.blit(p10, (10,200))
        elif points>8:
           screen.blit(p9, (10,200))
        elif points>7:
           screen.blit(p8, (10,200))
        elif points>6:
           screen.blit(p7, (10,200))
        elif points>5:
           screen.blit(p6, (10,200))
        elif points>4:
           screen.blit(p5, (10,200))
        elif points>3:
           screen.blit(p4, (10,200))
        elif points>2:
           screen.blit(p3, (10,200))
        elif points>1:
           screen.blit(p2, (10,200))
        elif points>0:
           screen.blit(p1, (10,200))



        
################################################################################################
                                                                      ##             scene 3  Ms Paka
    elif SCENE==3:

        lastscene=3

        
        pak.standing()

        if dialog==0:
            Yuma.walking()
            Yuma.x= -10
            dialog=1
        if dialog==1:
            Yuma.walking()
            Yuma.x += 4
            if Yuma.x>220:
                Yuma.x=220
                dialog=2
        if 21>dialog>1:
            Yuma.standing()
            
            if event.type==pygame.KEYDOWN:
                if event.key == pygame.K_RIGHT and rightOnce==1:
                    if dialog>1:
                        dialog +=1
                        rightOnce=0

                elif event.key == pygame.K_LEFT and leftOnce==1:
                    if dialog>2:
                        dialog -=1
                        leftOnce=0

            if event.type==pygame.KEYUP:
                if event.key == pygame.K_RIGHT:
                    rightOnce=1
                if event.key == pygame.K_LEFT:
                    leftOnce=1
                    
        elif dialog>20:
            dialog=22
        if dialog==22:
            Yuma.walking()
            Yuma.x += 4
            if Yuma.x>600:
                dialog=0
                SCENE=4
            

            


        screen.blit(elefBG, (0,0))
        screen.blit(pak.img, (100,-30))
        screen.blit(Yuma.img, (Yuma.x,300))
        screen.blit(bush, (5,420))


        if dialog==2:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog20_1,(90,190))
            screen.blit(dialog20_2,(90,215))

        elif dialog==3:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog21_1,(200,70))
            screen.blit(dialog21_2,(200,95))
            screen.blit(dialog21_3,(200,120))

        elif dialog==4:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog22_1,(90,180))
            screen.blit(dialog22_2,(90,205))
            screen.blit(dialog22_3,(90,230))

        elif dialog==5:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog23_1,(200,70))
            screen.blit(dialog23_2,(200,95))
            screen.blit(dialog23_3,(200,120))

        elif dialog==6:
            screen.blit(balloon, (36,120))    #Y
            
            screen.blit(dialog24_1,(75,205))

        elif dialog==7:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog25_1,(180,70))
            screen.blit(dialog25_2,(185,95))
            screen.blit(dialog25_3,(175,120))

        elif dialog==8:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog26_1,(95,180))
            screen.blit(dialog26_2,(90,205))
            screen.blit(dialog26_3,(110,230))

        elif dialog==9:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog27_1,(175,70))
            screen.blit(dialog27_2,(180,95))
            screen.blit(dialog27_3,(180,120))

        elif dialog==10:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog28_1,(100,190))
            screen.blit(dialog28_2,(105,215))

        elif dialog==11:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog29_1,(200,70))
            screen.blit(dialog29_2,(200,95))
            screen.blit(dialog29_3,(200,120))

        elif dialog==12:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog30_1,(100,180))
            screen.blit(dialog30_2,(90,205))
            screen.blit(dialog30_3,(110,230))

        elif dialog==13:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog31_1,(180,60))
            screen.blit(dialog31_2,(180,85))
            screen.blit(dialog31_3,(170,110))

        elif dialog==14:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog32_1,(100,180))
            screen.blit(dialog32_2,(100,205))
            screen.blit(dialog32_3,(90,230))

        elif dialog==15:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog33_1,(100,180))
            screen.blit(dialog33_2,(100,205))
            screen.blit(dialog33_3,(110,230))

        elif dialog==16:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog34_1,(200,80))
            screen.blit(dialog34_2,(190,105))

        elif dialog==17:
            screen.blit(balloon, (136,0))      #P                                                                                          scene 3
            screen.blit(dialog35_1,(190,70))
            screen.blit(dialog35_2,(190,95))
            screen.blit(dialog35_3,(215,120))

        elif dialog==18:
            screen.blit(balloon, (36,120))    #Y
            
            screen.blit(dialog36_1,(80,205))

        elif dialog==19:
            screen.blit(balloon, (136,0))      #P
            screen.blit(dialog37_1,(200,60))
            screen.blit(dialog37_2,(200,85))
            screen.blit(dialog37_3,(210,110))
            screen.blit(dialog37_4,(210,135))

        elif dialog==20:
            screen.blit(balloon, (36,120))    #Y
            screen.blit(dialog38_1,(90,180))
            screen.blit(dialog38_2,(90,205))
            screen.blit(dialog38_3,(90,230))

            

        #screen.blit(font1.render(str(dialog), True, (0,0,0),(255,255,255) ),(5,5))


################################################################################################
                                                                                                   ##         scene 4       vine swinging


    elif SCENE==4:

        lastscene=4

        if event.type==pygame.KEYDOWN:
            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog==2:
                    dialog=2.5

                elif dialog==3 or dialog==4:
                    if Yuma.img==bsf11 or Yuma.img==bsf12:                                                                                  ##if Yuma.frame==10 or Yuma.frame==11:  
                        landing=1

                    elif    3< Yuma.frame<9:
                        dialog=10
                        Yuma.x=270
                        Yuma.y=270
                        Yuma.frame=0
                        channel=oh.play()
                        Yuma.yfalling()
                    

                elif dialog==-2:
                    if Yuma.img==bsf11 or Yuma.img==bsf12:                                                                                  ##if Yuma.frame==18 or Yuma.frame==19:  
                        landing=1

                    elif    3< Yuma.frame<17:
                        dialog=10
                        Yuma.x=270
                        Yuma.y=270
                        Yuma.frame=0
                        channel=oh.play()
                        Yuma.yfalling()
                    

                rightOnce=0


        if event.type==pygame.KEYUP:
            if event.key == pygame.K_RIGHT:
                rightOnce=1

#########################################################     dialog 0 scene 4
        if dialog==0:
            Yuma.walking()
            svX=250
            Yuma.y=130
            Yuma.x=-30
            dialog=1
            moving=0
            leftOnce=1

        if dialog==1:
            Yuma.walking()
            Yuma.x +=4
            if Yuma.x>170:
                Yuma.x=170
                dialog=2

        if dialog==2:
            Yuma.standing()

        elif dialog==2.5:
            Yuma.frame=0
            dialog=3
            

        elif dialog==3:##########################################  dialog 3    scene 4
            Yuma.bsfing()

            if Yuma.img==bsf12:
                svX=250
                if landing==1:
                    dialog=4
                    
                else:
                    dialog=-1   #4
                Yuma.x=187
                Yuma.y=0
                
            elif Yuma.img==bsf11:
                svX=287
                Yuma.x=187
                Yuma.y=0
                cliffX=-450

            elif Yuma.img==bsf10:
                svX=324
                Yuma.x=187
                Yuma.y=0
                cliffX=-410
                
            elif Yuma.img==bsf9:
                svX=361
                Yuma.x=187
                Yuma.y=0
                cliffX=-370
                

            elif Yuma.img==bsf8:
                svX=398
                cliffX=-330
                Yuma.x=187
                Yuma.y=0

            elif Yuma.img==bsf7:
                svX=435
                cliffX=-290
                Yuma.x=187
                Yuma.y=0

            elif Yuma.img==bsf6:
                svX=472
                cliffX=-250
                Yuma.x=187
                Yuma.y=0

            elif Yuma.img==bsf5:
                svX=509
                cliffX=-210
                Yuma.x=187
                Yuma.y=0
                

            elif Yuma.img==bsf4:
                svX=546
                cliffX=-170
                Yuma.x=187
                Yuma.y=0
                

            elif Yuma.img==bsf3:
                svX=583
                cliffX=-130
                Yuma.x=187
                Yuma.y=0
                

            elif Yuma.img==bsf2:
                svX=620
                cliffX=-90
                Yuma.x=187
                Yuma.y=0
                

            elif Yuma.img==bsf1:
                svX=657
                cliffX=-50
                landing=0
                Yuma.x=187
                Yuma.y=0
                
                
            cpx -= 4
            cpx2 -= 4
            wineX -= 16
            fox -= 10
            fox2 -= 10

            if cpx<-1000:
                cpx=cpx2+900
            elif cpx2<-1000:
                cpx2=cpx+900

            if wineX <- 680:
                wineX= 680

            if fox<-1300:
                fox=fox2+1200
            elif fox2<-1300:
                fox2=fox+1200


        elif dialog==-1:#####################################################################  dialog -1    scene 4
            Yuma.frame=0
            dialog=-2
            Yuma.x=187
            Yuma.y=0

        if dialog==-2: ####################################################################### dialog -2
            Yuma.bsbing()

            if Yuma.img==bsf12:
                svX=250
                Yuma.jump=1
                if landing==1:
                    dialog=4
                
            elif Yuma.img==bsf11:
                svX=287
                cliffX=-450
                Yuma.jump=1

            elif Yuma.img==bsf10:
                svX=324
                cliffX=-410
                Yuma.jump=1
                
            elif Yuma.img==bsf9:
                svX=361
                cliffX=-370
                Yuma.jump=1

            elif Yuma.img==bsf8:
                svX=398
                cliffX=-330
                Yuma.jump=1

            elif Yuma.img==bsf7:
                svX=435
                cliffX=-290
                Yuma.jump=1

            elif Yuma.img==bsf6:
                svX=472
                cliffX=-250
                Yuma.jump=1

            elif Yuma.img==bsf5:
                svX=509
                cliffX=-210
                Yuma.jump=1
                

            elif Yuma.img==bsf4:
                svX=546
                cliffX=-170
                Yuma.jump=1
                

            elif Yuma.img==bsf3:
                svX=583
                cliffX=-130
                Yuma.jump=1
                

            elif Yuma.img==bsf2:
                svX=620
                cliffX=-90
                Yuma.jump=1
                

            elif Yuma.img==bsf1:
                svX=657
                cliffX=-50
                Yuma.jump=1

#######################                                        dialog           -2          scene 4


            elif Yuma.img==bsb1:
                svX=361
                cliffX=-370
                Yuma.jump=0

            elif Yuma.img==bsb2:
                svX=398
                cliffX=-330
                Yuma.jump=0

            elif Yuma.img==bsb3:
                svX=435
                cliffX=-290
                Yuma.jump=0

            elif Yuma.img==bsb4:
                svX=472
                cliffX=-250
                Yuma.jump=0

            elif Yuma.img==bsb5:
                svX=509
                cliffX=-210
                Yuma.jump=0
                

            elif Yuma.img==bsb6:
                svX=546
                cliffX=-170
                
                Yuma.jump=0
                

            elif Yuma.img==bsb7:
                svX=583
                cliffX=-130
                Yuma.jump=0
               
                

            elif Yuma.img==bsb8:
                svX=620
                cliffX=-90
                
                Yuma.jump=0
                

            elif Yuma.img==bsb9:
                svX=657
                cliffX=-50
                Yuma.jump=0
                landing=0


            if Yuma.jump==1:
                cpx -= 4
                cpx2 -= 4
                wineX -= 16
                fox -= 10
                fox2 -= 10

                if cpx<-1000:
                    cpx=cpx2+900
                elif cpx2<-1000:
                    cpx2=cpx+900

                if wineX <- 680:
                    wineX= 680

                if fox<-1300:
                    fox=fox2+1200
                elif fox2<-1300:
                    fox2=fox+1200

            elif Yuma.jump==0:
                cpx += 4
                cpx2 += 4
                wineX += 16
                fox += 10
                fox2 += 10

                if -100 <cpx<740:
                    cpx2=cpx-900
                elif -100<cpx2<740:
                    cpx=cpx2-900


                    

                if wineX > 680:
                    wineX= -680

                if fox>740:
                    fox=fox2-1200
                elif fox2>740:
                    fox2=fox-1200



                
                
                

        elif dialog==4:#####################################################################     dialog 4     scene 4
            Yuma.bsfing()

            Yuma.x=187
            Yuma.y=0


            if Yuma.img==bsf12:
                svX=250
                vbX=120
                if landing==0:
                    dialog=-1
                
                
            elif Yuma.img==bsf11:
                svX=287
                vbX=-287

            elif Yuma.img==bsf10:
                svX=324
                vbX=-250
                
                
            elif Yuma.img==bsf9:
                svX=361
                vbX=-213
                

            elif Yuma.img==bsf8:
                svX=398
                vbX=-176
                

            elif Yuma.img==bsf7:
                svX=435
                vbX=-139
                

            elif Yuma.img==bsf6:
                svX=472
                vbX=-102
                

            elif Yuma.img==bsf5:
                svX=509
                
                vbX=-65
                

            elif Yuma.img==bsf4:
                svX=546
                
                vbX=-28
                

            elif Yuma.img==bsf3:
                svX=583
                
                vbX=9
                

            elif Yuma.img==bsf2:
                svX=620
                vbX=46
                leftOnce=1
                
                

            elif Yuma.img==bsf1:
                svX=657
                vbX=83
                landing=0
                if leftOnce==1:
                    moving +=1
                    leftOnce=0
                
            cpx -= 4
            cpx2 -= 4
            wineX -= 16
            fox -= 10
            fox2 -= 10

            if cpx<-1000:
                cpx=cpx2+900
            elif cpx2<-1000:
                cpx2=cpx+900

            if wineX <- 680:
                wineX= 680

            if fox<-1300:
                fox=fox2+1200
            elif fox2<-1300:
                fox2=fox+1200


                
#################################### dialog 10  scene 4
        elif dialog==10:
            Yuma.yfalling()

            Yuma.y +=10

            if Yuma.y>490:
                SCENE=100
                dialog=0
                pygame.mixer.stop()
                pygame.mixer.music.load("gameover.ogg")
                pygame.mixer.music.play(-1)

        if moving>8:
            SCENE=5
            dialog=0


###################### blit  scene 4

          

        screen.blit(sky, (0,-200))

        screen.blit(canopi, (cpx,0))
        screen.blit(canopi2, (cpx2,0))

        screen.blit(folie, (fox, 205))
        screen.blit(folie2, (fox2, 205))
        if moving==0:
            screen.blit(cliffwood, (cliffX,0))
        
        screen.blit(startvine, (svX, 0))
        screen.blit(Yuma.img, (Yuma.x,Yuma.y))

        if  10>dialog>3:
            screen.blit(vb1, (vbX, 0))

        elif dialog==10:
            screen.blit(vb3, (300,0))
            
        if moving==0:
            screen.blit(cliff, (cliffX,250))

        screen.blit(wine, (wineX,0))

        if dialog<3 and moving==0:
            screen.blit(keys3,(5,400))

        #screen.blit(font1.render(str(moving) + ":"  + str(Yuma.frame), True, (0,0,0),(255,255,255) ),(5,5))


######################################
                                                                                       ############################   end of the swing

        
    elif SCENE==5:

        lastscene=5

        dialog += 1



        screen.blit(jungleBG, (0,0))

        if dialog<3:
            screen.blit(fsw1, (150,0))
        elif dialog<6:
            screen.blit(fsw2, (150,0))
        elif dialog<9:
            screen.blit(fsw3, (150,0))
        elif dialog<12:
            screen.blit(fsw4, (150,0))
        elif dialog<15:
            screen.blit(fsw5, (150,0))
        elif dialog<18:
            screen.blit(fsw6, (150,0))
        elif dialog<21:
            screen.blit(fsw7, (150,0))
        elif dialog<24:
            screen.blit(fsw8, (150,0))
        elif dialog<27:
            screen.blit(fsw9, (150,0))
        elif dialog<30:
            screen.blit(fsw10, (150,0))
        elif dialog<36:
            screen.blit(fsw11, (150,0))
        elif dialog<42:
            screen.blit(fsw12, (150,0))
        elif dialog<48:
            screen.blit(fsw10, (150,0))
        elif dialog<54:
            screen.blit(fsw11, (150,0))
        else:
            screen.blit(fsw12, (150,0))

        if dialog<5:
            screen.blit(grass1, (0,330))
        elif dialog<10:
            screen.blit(grass2, (0,330))
        elif dialog<15:
            screen.blit(grass3, (0,330))
        elif dialog<20:
            screen.blit(grass1, (0,330))
        elif dialog<25:
            screen.blit(grass2, (0,330))
        elif dialog<30:
            screen.blit(grass3, (0,330))
        elif dialog<35:
            screen.blit(grass1, (0,330))
        elif dialog<40:
            screen.blit(grass2, (0,330))
        elif dialog<45:
            screen.blit(grass3, (0,330))
        elif dialog<50:
            screen.blit(grass1, (0,330))
        elif dialog<55:
            screen.blit(grass2, (0,330))
        elif dialog<60:
            screen.blit(grass3, (0,330))


        if dialog>60:
            SCENE=6
            dialog=0
            Yuma.x = -30

            
        
######################################
                                  ####################### talking leo 1
    elif SCENE==6:
        lastscene=6
       
        lion.lying()
        wgrs.blowing()

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog>0 and dialog!=13 and dialog!=21 and dialog!=22:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
                if dialog>1 and dialog!=14 and dialog!=21 and dialog!=22:
                    dialog -=1
                    leftOnce=0


            elif event.key == pygame.K_a and dialog==13:
                 dialog=14


            elif event.key == pygame.K_b and dialog==13:
                 SCENE=15
                 dialog=100
                                        

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1

        if dialog==11:
            dialog=30
            
        if dialog==34:
            dialog=12               

        if dialog==0:
            Yuma.walking()
            landing=0
            Yuma.x += 4
            if Yuma.x >100:
                Yuma.x =100
                dialog=1
        elif dialog>0 and dialog<21:
            Yuma.standing()
        elif dialog==21:
            Yuma.walking()
            Yuma.x += 4
            if Yuma.x >230:
                Yuma.x =230
                dialog=22
        elif dialog==22:
            Yuma.img = crouch
            landing += 1
            if landing>15:
                SCENE=7
                dialog=0
            
             
            

        screen.blit(waterhole, (0,0))

        screen.blit(lion.img, (250, 310))

        screen.blit(Yuma.img, (Yuma.x ,270))

        screen.blit(leofot, (250, 310))        

        screen.blit(wgrs.img, (0, 380))

        if dialog==13:
            screen.blit(keys4, (5,420))


        if dialog==1:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog40_1,(51,125))
            screen.blit(dialog40_2,(46,150))

        elif dialog==2:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog41_1,(361,125))
            screen.blit(dialog41_2,(356,150))
            
        elif dialog==3:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog42_1,(51,125))
            screen.blit(dialog42_2,(30,150))

        elif dialog==4:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog43_1,(361,125))
            screen.blit(dialog43_2,(356,150))
            screen.blit(dialog43_3,(356,175))

        elif dialog==5:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog44_1,(51,125))
            screen.blit(dialog44_2,(30,150))
            screen.blit(dialog44_3,(60,175))

        elif dialog==6:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog45_1,(51,125))
            screen.blit(dialog45_2,(60,150))

        elif dialog==7:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog46_1,(361,125))
            screen.blit(dialog46_2,(356,150))
            screen.blit(dialog46_3,(356,175))

        elif dialog==8:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog47_1,(20,125))
            screen.blit(dialog47_2,(20,150))
            screen.blit(dialog47_3,(20,175))

        elif dialog==9:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog48_1,(41,125))
            screen.blit(dialog48_2,(30,150))

        elif dialog==10:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog49_1,(361,125))
            screen.blit(dialog49_2,(356,150))
            screen.blit(dialog49_3,(356,175))

############################################


        elif dialog==30:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog85_1,(30,135))
            screen.blit(dialog85_2,(30,160))
            
                    
        elif dialog==31:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog86_1,(361,125))
            screen.blit(dialog86_2,(356,150))
            screen.blit(dialog86_3,(356,175))

        elif dialog==32:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog87_1,(65,135))
            screen.blit(dialog87_2,(60,160))
           

                    
        elif dialog==33:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog88_1,(340,115))
            screen.blit(dialog88_2,(340,140))
            screen.blit(dialog88_3,(330,165))
            screen.blit(dialog88_4,(355,190))




###################################################            

        elif dialog==34:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog89_1,(30,125))
            screen.blit(dialog89_2,(30,150))
            screen.blit(dialog89_3,(30,175))

        elif dialog==12:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog51_1,(361,115))
            screen.blit(dialog51_2,(342,140))
            screen.blit(dialog51_3,(356,165))
            screen.blit(dialog51_4,(356,190))  


        elif dialog==13:
            pygame.draw.rect(screen,(0,0,255),(20,50,400,50))
            pygame.draw.rect(screen,(0,0,255),(20,120,400,50))

            screen.blit(dialog52_1,(35,70))
            screen.blit(dialog52_2,(35,140))

        elif dialog==14:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog53_1,(41,125))
            screen.blit(dialog53_2,(30,150))

        elif dialog==15:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog54_1,(371,135))
            screen.blit(dialog54_2,(352,160))

        elif dialog==16:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog55_1,(10,125))
            screen.blit(dialog55_2,(30,150))
            screen.blit(dialog55_3,(60,175))

        elif dialog==17:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog56_1,(361,135))
            screen.blit(dialog56_2,(370,160))

        elif dialog==18:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog57_1,(41,125))
            screen.blit(dialog57_2,(50,150))

        elif dialog==19:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog58_1,(331,125))
            screen.blit(dialog58_2,(330,150))
            screen.blit(dialog58_3,(350,175))

        elif dialog==20:
            screen.blit(balloon,(-10,58))
           
            screen.blit(dialog59_1,(50,150))


        elif dialog==100:
            SCENE=15
            dialog=20
            Yuma.y=250
            Yuma.x=100
            

#########################################
                                                                                                    ##################   close entry wound
            

    elif SCENE==7:
        lastscene=7

        Bee.bleeding()

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog!=5 and dialog!=10 and dialog!=14:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
                if dialog>0 :
                    dialog -=1
                    leftOnce=0

            elif event.key == pygame.K_a:
                if dialog==5:
                    dialog=6
                elif dialog==14:
                    SCENE=8

            elif event.key == pygame.K_b and bOnce==1:
                if dialog==14 and leoheal>1:
                    SCENE=15
                    Yuma.x=100
                    Yuma.y=250
                    dialog=20
                    bOnce=0
                        
                elif dialog==5 or dialog==14:
                    dialog=100
                    bOnce=0

                
                           
                

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1
            if event.key == pygame.K_b:
                bOnce=1


         
        screen.blit(closeup, (0,0))
        
        if landing<2:
            screen.blit( Bee.img ,(148,360))

        if landing==2:
            screen.blit(mud, (98,304))
        if dialog==10:
            screen.blit(mudhand, ( Yuma.x, Yuma.y))
            Yuma.x += 1
            Yuma.y += 4
            if Yuma.y > 480:
                dialog=11



        if dialog==0:
            landing=0
            Yuma.x=98
            Yuma.y=250
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog60_1,(20,60))
            screen.blit(dialog60_2,(20,85))
            screen.blit(dialog60_3,(20,110))

        elif dialog==1:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog61_1,(20,40))
            screen.blit(dialog61_2,(20,65))
            screen.blit(dialog61_3,(15,90))
            screen.blit(dialog61_4,(20,115))

        elif dialog==2:
            screen.blit(balloon3,(0,20))
            screen.blit(dialog62_1,(40,120))
            screen.blit(dialog62_2,(40,145))
            screen.blit(dialog62_3,(40,170))
 
        elif dialog==3:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog63_1,(20,60))
            screen.blit(dialog63_2,(20,85))
            screen.blit(dialog63_3,(40,110))
 
        elif dialog==4:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog64_1,(20,60))
            screen.blit(dialog64_2,(20,85))
            screen.blit(dialog64_3,(40,110))

         
        elif dialog==5:
            pygame.draw.rect(screen,(0,0,255),(20,50,400,50))
            pygame.draw.rect(screen,(0,0,255),(20,120,400,50))

            screen.blit(dialog65_1,(35,70))
            screen.blit(dialog65_2,(35,140))

        elif dialog==6:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog66_1,(20,80))
            screen.blit(dialog66_2,(20,105))
            
        elif dialog==7:
            screen.blit(balloon3,(0,20))
            screen.blit(dialog67_1,(40,120))
            screen.blit(dialog67_2,(40,145))
            screen.blit(dialog67_3,(60,170))

        elif dialog==8:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog68_1,(40,70))
            screen.blit(dialog68_2,(40,95))
            screen.blit(dialog68_3,(80,115))


        elif dialog==9:
            screen.blit(balloon3,(0,20))
           
            screen.blit(dialog69_1,(60,145))

        elif dialog==10:
             landing=2
             if leoheal!=1 and leoheal!=3 and leoheal!=5 and leoheal!=7:
                 leoheal+=1                                                               ###stoped bleeding

        elif dialog==11:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog70_1,(40,70))
            screen.blit(dialog70_2,(40,95))
            screen.blit(dialog70_3,(40,115))

        elif dialog==12:
            screen.blit(balloon3,(0,20))
            screen.blit(dialog71_1,(50,140))
            screen.blit(dialog71_2,(50,165))

        elif dialog==13:
            screen.blit(balloon4,(-10,0))
            screen.blit(dialog72_1,(40,70))
            screen.blit(dialog72_2,(60,95))


        elif dialog==14:
            
            pygame.draw.rect(screen,(0,0,255),(20,50,400,50))
            pygame.draw.rect(screen,(0,0,255),(20,120,400,50))

            if leoheal<2:
                screen.blit(dialog73_1,(35,70))
                screen.blit(dialog73_2,(35,140))

            else:
                screen.blit(dialog73_1,(35,70))
                screen.blit(dialog52_2,(35,140))



        elif dialog==100:
            SCENE=9
            dialog=0
            
       
 
#############################################################
                                                         ################################  looking at head wound      scene 8

    elif SCENE==8:
        lastscene=8

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog!=20:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
              
                dialog -=1
                leftOnce=0

            elif event.key == pygame.K_a:
                if dialog==20:
                    SCENE=15
                    Yuma.x=100
                    Yuma.y=250

            elif event.key == pygame.K_b and bOnce==1:
                if dialog==20:
                    SCENE=9
                    dialog=0
                    bOnce=0

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1
            if event.key == pygame.K_b:
                bOnce=1


                
        
        screen.blit(lionface, (0,0))

        if dialog==14:
            screen.blit(balloon,(400,0))
            screen.blit(dialog74_1,(440,70))
            screen.blit(dialog74_2,(440,95))
            if leoheal!=4 and leoheal!=5 and leoheal!=6 and leoheal!=7:
                 leoheal+=4                                                               ###check head

        elif dialog==15:
            screen.blit(balloon,(400,0))
            screen.blit(dialog75_1,(440,70))
            screen.blit(dialog75_2,(440,95))

        elif dialog==16:
            screen.blit(balloon,(400,0))
            screen.blit(dialog76_1,(440,70))
            screen.blit(dialog76_2,(460,95))

            screen.blit(twofingers, (500,220))   
  
        elif dialog==17:
            screen.blit(balloon,(0,0))
            screen.blit(dialog77_1,(70,95))

            screen.blit(twofingers, (500,220))                   

        elif dialog==18:
            screen.blit(balloon,(400,0))
            screen.blit(dialog78_1,(440,70))
            screen.blit(dialog78_2,(440,95))

        elif dialog==19:
            screen.blit(balloon,(0,0))
            screen.blit(dialog79_1,(70,95))

        elif dialog==20:
            if leoheal==7:
                SCENE=15
                Yuma.x=100
                Yuma.y=250

            else:
                pygame.draw.rect(screen,(0,0,255),(20,50,400,50))
                pygame.draw.rect(screen,(0,0,255),(20,120,400,50))

                screen.blit(dialog80_1,(35,70))
                screen.blit(dialog80_2,(35,140))


#############################################################
                                                         ################################  cutting out bullet      scene 9

    elif SCENE==9:
        lastscene=9

        


        if event.type==pygame.KEYDOWN:

            if event.key == pygame.K_RIGHT and dialog==300 and rightOnce==1:
                  dialog=401
                  rightOnce=0

            if event.key == pygame.K_a:
               
                if dialog==0:
                    dialog=1
                elif dialog==500:
                    dialog=5
                elif dialog==105:
                    dialog=106
                elif dialog==501:
                    dialog=160
                    
                elif dialog==401:
                   
                    if leoheal==6 or leoheal==2:
                        dialog=403
                    else:
                        dialog=404

            if event.key == pygame.K_b and bOnce==1:
                if dialog==401:
                    dialog=402
                    
                elif dialog==0:
                    if leoheal==0:
                        dialog=405
                    elif leoheal==1:
                        dialog=406
                    elif leoheal==5:
                        dialog=407

                bOnce=0


        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1
            if event.key == pygame.K_b:
                bOnce=1

        

        if dialog==0:
            knifeX=640
            knifeY=-170
            handX=-150
            handY=150
            handRx= 545
            handRy = 485

            
        elif dialog==1:
            knifeX -=7
            knifeY +=1.5
            if knifeX<-10:
                knifeX=-10
                knifeY=-30
                dialog=2
                
            
        elif dialog==2:
            knifeX -=3
            knifeY -=3
            if knifeX<-39:
                knifeX=-40
                knifeY=0
                dialog=3


        elif dialog==3:
            knifeX +=1
            knifeY -=0.26
            if knifeX>390:
                dialog=4
        elif dialog==4:
            knifeY -=3
            knifeX += 0.2
            if knifeY<-200:
                dialog=500
        elif dialog==5:
            knifeX +=5
            knifeY -= 0.3
            if knifeX>300:
                
                handX += 5
                handY -= 5
                if handX>-1:
                    handX=0
                    handY=0
            if knifeX>640:
                dialog=6

        elif dialog<105:
            dialog +=1

        elif dialog==106:
            handRx -= 5
            handRy -= 5
            if handRy<269:
                handRx= 330
                handRy = 270
                dialog=107
                #print (str(handRx) +":" + str(handRy))

        #print (dialog)
            
        elif 115>dialog>106:
             dialog += 1
             


        elif 160>dialog>114:
            handRx += 5
            handRy+= 5
            dialog += 1
            if dialog>159:
                dialog=501
                handRx = 645    ##450
                handRy = 435    ##240

        elif dialog==160:
            handRx -= 5
            handRy-= 5
            if handRx<450:
                dialog=161
                handRx = 440
                handRy = 220
                
                #print (str(handRx) +":" + str(handRy))

        elif dialog==161:
            handRx += 5
            handRy+= 5
            if handRx>640:
                dialog=162
                handRx = 0
                handRy = 0


        elif dialog==162:
            handRx -= 5
            handRy+= 1.5
            if handRx<-150:
                dialog=163
                handRx = 565
                handRy = 645
                #print (str(handRx) +":" + str(handRy))  230, 310

        elif dialog==163:
            handRx-= 5
            handRy-= 5
            if handRy<315:
                handRx = 210
                handRy = 280
                dialog=164
                print (str(handRx) +":" + str(handRy))    # 565  645

        elif dialog==164:
            handRy+= 5
            if handRy>480:
                handRx = -155
                dialog=165
            if leoheal!=2 and leoheal!=3 and leoheal!=6 and leoheal!=7:
                 leoheal+=2                                                               ###cut bullet

        elif dialog==165:
            handRx-= 5
            if handRx < -300:
                dialog=166

        elif 400>dialog>165:
            dialog+=1
            if 400>dialog>300:
                dialog=300
                
                


        screen.blit(skin, (0, 0))

        screen.blit(op_cut, (0, 0))
        if 305>dialog>160 or dialog==401:
            screen.blit(op_thorn1, (400, 178))
        if 305>dialog>163 or dialog==401:
            screen.blit(op_thorn2, (180, 245))
        
        #
        #screen.blit(op_hand2, (0, 0))
        #screen.blit(op_hand3, (0, 0))
        #screen.blit(op_hand4, (0, 0))
        #screen.blit(op_hand5, (0, 0))
        screen.blit(op_knife, (knifeX, knifeY))                                    ################   -40, 0  start cut , 510, -170
        if 100>dialog>1:
            screen.blit(op_cover, (0, 0))




            
        if dialog<26:
            screen.blit(op_hand1, (handX, handY))
        elif dialog<36:
            screen.blit(op_hand2, (0, 0))
        elif dialog<46:
            screen.blit(op_hand3, (0, 0))
        elif dialog<56:
            screen.blit(op_hand4, (0, 0))
        elif dialog<107:
            screen.blit(op_hand5, (0, 0))
            screen.blit(op_bullet, (322, 299))
            screen.blit(op_handR, (handRx, handRy))
        elif dialog<117:
            screen.blit(op_hand5, (0, 0))
        elif dialog<127:
            screen.blit(op_hand4, (0, 0))
        elif dialog<137:
            screen.blit(op_hand3, (0, 0))
        elif dialog<147:
            screen.blit(op_hand2, (0, 0))
        elif dialog<162:
            screen.blit(op_hand1, (0, 0))
        elif dialog<163:
            screen.blit(op_hand1, (handRx, handRy))
        elif dialog<165:
            screen.blit(op_hand1, (-155, 47))
        elif dialog==500:
            screen.blit(op_hand1, (-150, 150))
        elif dialog==501:
            screen.blit(op_hand1, (0, 0))
        else:
            screen.blit(op_hand1, (handRx, 47))
        
                
        if 159>dialog>106:
            screen.blit(op_handRB, (handRx, handRy))      ####  330, 270



        if  dialog==160:                                                                               ###161>dialog>159:
            screen.blit(op_handRT, (handRx, handRy))         ### 450, 240        230, 310

        elif dialog==161:
            screen.blit(op_handR, (handRx, handRy))

        elif dialog==163:   
            screen.blit(op_handRT, (handRx, handRy))

        elif dialog==164:
            screen.blit(op_handR, (handRx, handRy))



        if 190<dialog<200:
            screen.blit(mudhands1, (0, 0))
        elif 190<dialog<210:
            screen.blit(mudhands2, (0, 0))       
        elif 190<dialog<220:
            screen.blit(mudhands3, (0, 0))
        elif 190<dialog<230:
            screen.blit(mudhands4, (0, 0))
        elif 190<dialog<240:
            screen.blit(mudhands5, (0, 0))  
        elif 190<dialog<250:
            screen.blit(mudhands6, (0, 0))
        elif 190<dialog<260:
            screen.blit(mudhands7, (0, 0))
        elif 190<dialog<270:
            screen.blit(mudhands8, (0, 0))  
        elif 190<dialog<280:
            screen.blit(mudhands9, (0, 0)) 
        elif 190<dialog<310 or dialog==401:
            screen.blit(mudhands10, (0, 0))


    
        if dialog==0:
            pygame.draw.rect(screen,(0,0,255),(20,50,500,50))
            pygame.draw.rect(screen,(0,0,255),(20,120,500,50))
            screen.blit(dialog203_1,(35,70))
            screen.blit(dialog203_2,(35,140))            
            
        elif dialog==500:
            pygame.draw.rect(screen,(0,0,255),(20,50,300,50))
            screen.blit(dialog203_3,(35,70))

        elif dialog==105:
            pygame.draw.rect(screen,(0,0,255),(20,50,300,50))
            screen.blit(dialog203_4,(35,70))

        elif dialog==501:
            pygame.draw.rect(screen,(0,0,255),(20,50,300,50))
            screen.blit(dialog203_5,(35,70))

        elif dialog==300:
            screen.blit(balloon4,(0,0))
            screen.blit(dialog204_1,(40,70))
            screen.blit(dialog204_2,(40,95))
            screen.blit(dialog204_3,(30,115))

        elif dialog==401:

            #print (leoheal)
            
            if leoheal==7:
                 SCENE=15                                                           ###all healing done
                 dialog=20
                 Yuma.x=100
                 Yuma.y=250

            elif leoheal!=3:                                                                      ##not done bleeding
                pygame.draw.rect(screen,(0,0,255),(20,50,500,50))
                pygame.draw.rect(screen,(0,0,255),(20,120,500,50))
                screen.blit(dialog65_3,(35,70))
                screen.blit(dialog52_2,(35,140))

            elif leoheal!=6:                                                                     ### not done head
                pygame.draw.rect(screen,(0,0,255),(20,50,400,50))
                pygame.draw.rect(screen,(0,0,255),(20,120,400,50))
                screen.blit(dialog73_1,(35,70))
                screen.blit(dialog52_2,(35,140))

        elif dialog==402:
            SCENE=15
            dialog=20
            Yuma.x=100
            Yuma.y=250

        elif dialog==403:
            SCENE=7
            dialog=6
 
        elif dialog==404:
            SCENE=8
            dialog=14           

        elif dialog==405:
            SCENE=7
            dialog=5

        elif dialog==406:
           
            SCENE=7
            dialog=14

        elif dialog==407:
           
            SCENE=8
            dialog=20
                     
        

#############################################################
                                                                ############## walking away from waterhole
            

    elif SCENE==15:
        lastscene=15

        
        lion.lying()
        wgrs.blowing()



        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
               if dialog==20:
                dialog =21
                rightOnce=0


        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1
        
  
        

        screen.blit(waterhole, (0,0))

        

        screen.blit(Yuma.img, (Yuma.x ,Yuma.y))

        screen.blit(lion.img, (250, 310))

        if leoheal==1 or leoheal==3 or leoheal==5 or leoheal==7:
            screen.blit(smallmud1, (333, 383))

        if leoheal==2 or leoheal==3 or leoheal==6 or leoheal==7:
            screen.blit(smallmud2, (367, 390))

        screen.blit(wgrs.img, (0, 380))

        if dialog==20:
            Yuma.standing()
            screen.blit(balloon,(-10,58))
            screen.blit(dialog81_1,(51,125))
            screen.blit(dialog81_2,(70,150))

        if dialog==21:
            Yuma.walking()
            Yuma.x +=4
            Yuma.y -= 0.6
            if Yuma.x>600:
                SCENE=24
                Yuma.x =-10
                Yuma.y= 290
                

#########################################
    elif SCENE==23:                                          ### sneaktent
        lastscene=23

        Yuma.sneaking()
        hunty.intenting()



        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                dialog +=1
                rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
              
                dialog -=1
                leftOnce=0

           

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1


        screen.blit(sneaktent, (0,0))
        screen.blit(Yuma.img, (100,270))
        if dialog<5:
            screen.blit(hunty.img, (345,135))
        elif dialog==5:
            screen.blit(huntInTent7, (345,135))
        elif dialog==6:
            screen.blit(huntInTent8, (368, 121))

        if dialog==0:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog100_1,(180,55))
            screen.blit(dialog100_2,(190,80))
            screen.blit(dialog100_3,(205,105))
        
        elif dialog==1:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog101_1,(180,55))
            screen.blit(dialog101_2,(175,80))
            screen.blit(dialog101_3,(205,105))
        
        elif dialog==2:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog102_1,(170,55))
            screen.blit(dialog102_2,(170,80))
            screen.blit(dialog102_3,(205,105))

        
        elif dialog==3:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog103_1,(190,55))
            screen.blit(dialog103_2,(205,80))
            

        
        elif dialog==4:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog104_1,(180,55))
            screen.blit(dialog104_2,(170,80))
            screen.blit(dialog104_3,(175,105))

        
        elif dialog==5:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog105_1,(180,55))
            screen.blit(dialog105_2,(190,80))
            screen.blit(dialog105_3,(205,105))

        
        elif dialog==6:
            Yuma.standing()
            screen.blit(balloon,(130,-20))
            screen.blit(dialog106_1,(190,45))
            screen.blit(dialog106_2,(180,70))
            screen.blit(dialog106_3,(175,95))
        
        elif dialog==7:
            
            SCENE=28
            hunty.x=400
            Yuma.x=200
            treeX=0
            treeX2=0
            landing=-1
            for i in range(10):
                coco_list[i][0] = 0
                coco_list[i][1] = 0
                coco_list[i][2] = 0
                coco_list[i][3] = 0




            

#########################################
    elif SCENE==24:                                          ### dead field
        lastscene=24

        Yuma.walking()

        screen.blit( deadfieldBG, (0,0))


        Yuma.x +=4

        if Yuma.x> 600:
            SCENE=25
            dialog=0




        screen.blit( Yuma.img , (Yuma.x, Yuma.y))



        if 320>Yuma.x>100:
            screen.blit(balloon,(-10,58))
            screen.blit(dialog200_1,(30,125))
            screen.blit(dialog200_2,(30,150))
            screen.blit(dialog200_3,(35,175))

        if Yuma.x>325:
            screen.blit(balloon,(200,58))
            screen.blit(dialog201_1,(260,125))
            screen.blit(dialog201_2,(280,150))
            
        



                
            
#########################################
    elif SCENE==25:                                          ### first time see camp
        lastscene=25


        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog!=6:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
              
                dialog -=1
                leftOnce=0

            elif event.key == pygame.K_a and dialog==6:
                dialog=7

            elif event.key == pygame.K_b and dialog==6:
                dialog=9


        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1



        screen.blit( campBG, (0,0))
        screen.blit( ybStand1 , (70,280))


        if dialog==0:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog210_1,(340,125))
            screen.blit(dialog210_2,(345,150))
            screen.blit(dialog210_3,(350,175))

        elif dialog==1:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog211_1,(360,125))
            screen.blit(dialog211_2,(365,150))
            screen.blit(dialog211_3,(375,175))

        elif dialog==2:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog212_1,(340,125))
            screen.blit(dialog212_2,(345,150))
            screen.blit(dialog212_3,(350,175))

        elif dialog==3:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog213_1,(340,125))
            screen.blit(dialog213_2,(345,150))
            screen.blit(dialog213_3,(365,175))

        elif dialog==4:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog214_1,(360,125))
            screen.blit(dialog214_2,(355,150))
            screen.blit(dialog214_3,(380,175))

        elif dialog==5:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog215_1,(340,135))
            screen.blit(dialog215_2,(345,160))

        elif dialog==6:
            
            pygame.draw.rect(screen,(0,0,255),(150,50,400,50))
            pygame.draw.rect(screen,(0,0,255),(150,120,400,50))

            screen.blit(dialog216_1,(165,70))
            screen.blit(dialog216_2,(165,140))

        elif dialog==7:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog217_1,(340,135))
            screen.blit(dialog217_2,(345,160))


        if dialog==8:
            SCENE=26
            dialog=0
            hunty.x=640

        elif dialog==9:
            SCENE=23
            dialog=0

#########################################
    elif SCENE==26:            ##########  talk outside tent
        lastscene=26

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if 17>dialog>0:        
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
                if 16>dialog>1: 
                    dialog -=1
                    leftOnce=0


        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1


        
        Bee.birding()

        if dialog==0:
            hunty.huntCwalking()
            hunty.y= 320

            hunty.x-= 3

            if hunty.x<300:
                dialog=1

        elif dialog>0:
            hunty.huntCstanding()
            hunty.x=280
            hunty.y= 315

        if dialog>16:
            Yuma.whistling()
            dialog +=1
            if dialog>40:
                SCENE=27
                

        else:
            Yuma.standing()

         
        if dialog==18:     
            channel=Wwhistle.play()
            

        screen.blit(camptalk, (0,0))

        screen.blit(Yuma.img, (0,320))

        if dialog==0:
            screen.blit(hunty.img, (hunty.x,320))
        elif 16>dialog>0:
            screen.blit(hunty.img, (hunty.x,315))
        elif dialog>15:
            screen.blit(huntSneak5a, (hunty.x,315))

        screen.blit(camptalkcover, (640-118,0))

        screen.blit(Bee.img,(640-357,0))



        if dialog==1:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog230_1,(360,125))
            screen.blit(dialog230_2,(340,150))
            screen.blit(dialog230_3,(340,175))

        elif dialog==2:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog231_1,(70,125))
            screen.blit(dialog231_2,(70,150))
            
        elif dialog==3:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog232_1,(360,125))
            screen.blit(dialog232_2,(340,150))
            screen.blit(dialog232_3,(340,175))        
        
        elif dialog==4:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog233_1,(360,125))
            screen.blit(dialog233_2,(340,150))
            screen.blit(dialog233_3,(350,175))

    
        elif dialog==5:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog234_1,(70,125))
            screen.blit(dialog234_2,(70,150))
            screen.blit(dialog234_3,(85,175))
        
        elif dialog==6:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog235_1,(360,125))
            screen.blit(dialog235_2,(340,150))
            screen.blit(dialog235_3,(365,175))   

        elif dialog==7:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog236_1,(70,125))
            screen.blit(dialog236_2,(70,150))
            screen.blit(dialog236_3,(85,175))
            
        elif dialog==8:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog237_1,(360,125))
            screen.blit(dialog237_2,(360,150))

        elif dialog==9:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog238_1,(70,125))
            screen.blit(dialog238_2,(70,150))
       
        elif dialog==10:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog239_1,(360,125))
            screen.blit(dialog239_2,(340,150))
            screen.blit(dialog239_3,(340,175))   
       
        elif dialog==11:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog240_1,(70,125))
            screen.blit(dialog240_2,(70,150))
            screen.blit(dialog240_3,(85,175))
       
        elif dialog==12:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog241_1,(360,125))
            screen.blit(dialog241_2,(360,150))
            screen.blit(dialog241_3,(360,175))   
       
        elif dialog==13:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog242_1,(70,125))
            screen.blit(dialog242_2,(70,150))
            screen.blit(dialog242_3,(85,175))
     
        elif dialog==14:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog243_1,(360,125))
            screen.blit(dialog243_2,(360,150))
            screen.blit(dialog243_3,(370,175))   
       
        elif dialog==15:
            screen.blit(balloon4,(0,58))
            screen.blit(dialog244_1,(70,125))
            screen.blit(dialog244_2,(90,150))
      
        elif dialog==16:
            screen.blit(balloon4,(300,58))
            screen.blit(dialog245_1,(360,125))
            screen.blit(dialog245_2,(360,150))
            screen.blit(dialog245_3,(370,175))


        if SCENE==27:
            dialog=0
            Bee.x=20
            Bee.y=-200
            fox=0
            channel= birdwing.play(1)
                 
                                 
#########################################
    elif SCENE==27:            ##########  bird attack
        lastscene=27

        
        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and (dialog==4 or dialog==5):
                SCENE=28
              
                hunty.x=400
                Yuma.x=200
                treeX=0
                treeX2=0
                landing=-1
                for i in range(10):
                    coco_list[i][0] = 0
                    coco_list[i][1] = 0
                    coco_list[i][2] = 0
                    coco_list[i][3] = 0

        Bee.attacking()
        

        if dialog==0:
            
            Bee.x +=6
            Bee.y += 9
            if Bee.y>100:
                dialog=1
        elif dialog==1:
            Bee.x +=6
            Bee.y += 9
            if Bee.y>155:
                Bee.x =230
                Bee.y = 170
                dialog=2
        elif dialog==2:
            fox +=1
            if fox>50:
                dialog=3
                fox=0
                channel= gun.play()
        elif dialog==3:
            Bee.x +=9
            Bee.y -=3
            if Bee.x>640:
                dialog=4
               
        elif dialog==4:
            fox +=1
            if fox>30:
                dialog=5
                fox=0
        elif dialog==5:
            fox +=1
            if fox>30:
                dialog=4
                fox=0 

        screen.blit(fronttent,(0,0))

        if dialog==0:
            screen.blit(hunthot1,(230,170))

        elif dialog<4:
            screen.blit(hunthot2,(230,170))

        elif dialog==4:
            screen.blit(hunthot3,(230,170))
 
        elif dialog==5:
            screen.blit(hunthot4,(230,170))
            channel= birdwing.stop()

        if dialog==3 and Bee.x<300:
            screen.blit(shot, (0,0))
            
        screen.blit(Bee.img,(Bee.x,Bee.y))       ## 210,  155


        if dialog==4 or dialog==5:
            screen.blit(balloon,(75,58))
            screen.blit(dialog246_1,(135,125))
            screen.blit(dialog246_2,(135,150))
            screen.blit(dialog246_3,(135,175))
            
            
            
#########################################
    elif SCENE==28:            ################### drop coconut
        lastscene=28

        moving=0
        #landing=1

        if event.type==pygame.KEYDOWN:

                
            if event.key == pygame.K_RIGHT :
                moving =1
                #rightOnce=0


            elif event.key == pygame.K_LEFT:            
                moving = -1
                #leftOnce=0

            elif event.key == pygame.K_UP:             
                if Yuma.x>570 and landing!=1:  
                    landing = 5

            elif event.key == pygame.K_DOWN:
                if landing==1:
                    landing=-1
                    for i in range(10):
                        if coco_list[i][0]==0:
                            coco_list[i][0] = 1
                            coco_list[i][1] = Yuma.x + 30
                            coco_list[i][2] = Yuma.y + 40
                            
                            break
                  

        if event.type==pygame.KEYUP:
            if event.key == pygame.K_UP: 
                if landing==5:
                    landing=1
                

         #   if event.key == pygame.K_RIGHT:
         #       rightOnce=1
         #   if event.key == pygame.K_LEFT:
           #     leftOnce=1

        if dialog>0:
            dialog +=1
        if dialog>10:
            dialog=1


        if landing<1:        
            if moving==1:
                Yuma.x +=3
                Yuma.Rcrawling()
            elif moving==-1:
                Yuma.x -=3
                Yuma.Lcrawling()

        elif landing==1:        
            if moving==1:
                Yuma.x +=3
                Yuma.RCcrawling()
            elif moving==-1:
                Yuma.x -=3
                Yuma.LCcrawling()



        if Yuma.x< -10:
            Yuma.x=-10

        elif Yuma.x> 578:
            Yuma.x=578

        if Yuma.x>-11 and Yuma.x<90:
            Yuma.y=50

        elif Yuma.x<182:
            Yuma.y=50 + ((Yuma.x - 90) * 0.3)
            
        elif Yuma.x<333:
            Yuma.y=80

        elif Yuma.x<506:
            Yuma.y=80 + ((333 - Yuma.x) *0.3)

        elif Yuma.x<552:
            Yuma.y=40

        elif Yuma.x>550 and Yuma.x<579:
            Yuma.y=30


        #print (Yuma.x)
        

        if hunty.dir==0:
            hunty.Lwalking()
            hunty.x -=6
            jump = randint(-3040,460)
            
        elif hunty.dir==1:
            hunty.Rwalking()
            hunty.x +=6
            jump = randint(Yuma.x,3680)


        elif hunty.dir==2:
            hunty.Rhiting()
            treeX +=1
            if treeX>20:
                hunty.dir=0
                treeX=0
                treeX2 +=1

        elif hunty.dir==3:
            hunty.Lhiting()
            treeX +=1
            if treeX>20:
                hunty.dir=1
                treeX=0
                treeX2 +=1


        if hunty.x<20:
            hunty.dir=1
        elif hunty.x>520:
            hunty.dir=0

        elif hunty.dir==0 and hunty.x<jump:
            hunty.dir=1
            jump = randint(-3040,460)

        elif hunty.dir==1 and hunty.x>jump:
            hunty.dir=0
            jump = randint(100,3680)



        for i in range(10):
 
            if coco_list[i][0]==1:

                if inCircle(coco_list[i][1]+10, coco_list[i][2]+10, hunty.x+60, 382, 30):
                    coco_list[i][0]=0
                    channel= nock.play(0)
                    if  treeX2==2:
                        hunty.dir=5
                    if hunty.dir==0:
                        hunty.dir=2
                    elif hunty.dir==1:
                        hunty.dir=3


        


            
            
            
        screen.blit( dropBG, (0,0))



        if landing==5:
            screen.blit(crawlerPluck, (Yuma.x, Yuma.y))
            dialog=0

        if moving==0:
            if landing<1:
                screen.blit(crawler0, (Yuma.x, Yuma.y))
            elif landing==1:
                screen.blit(crawlCoco0, (Yuma.x, Yuma.y))
        else:
             screen.blit(Yuma.img, (Yuma.x, Yuma.y))

        screen.blit(gren, (0,0))


        for i in range(10):
            if coco_list[i][0]==1:
                coco_list[i][2] +=6
                screen.blit(coco21, ( coco_list[i][1],  coco_list[i][2]))
                if coco_list[i][2]>460:
                    coco_list[i][2]=460
                    coco_list[i][3]+=1
                    if coco_list[i][3]>300:
                        coco_list[i][0]=0
                        coco_list[i][3]=0

        screen.blit(blad, (0,0))

        if 6>dialog>0:
            screen.blit(blink, (602,6))

        if landing==-1:
            screen.blit(coco21, (605, 10))
             
        if   hunty.dir==5:
            screen.blit( huntyKnocked , (hunty.x, 427))
            treeX2 +=1
            if treeX2>80:
                SCENE=59
                fox=0
                fox2=0
        else:
            screen.blit( hunty.img , (hunty.x,350))


        if landing==-1 and dialog>0:
            screen.blit(keys5, (5,340))

        

        
 ######################################  
    elif SCENE==59:                                  #####  stars
        lastscene=59


        fox -= 6
        fox2+=1

        if fox2>50:
            fox2=0



        screen.blit( eatinggrass , (0,0))
        screen.blit(dark, (0,fox))

        if fox2<10:
            screen.blit(stars[0], (0,0))

        elif fox2<20:
            screen.blit(stars[1], (0,0))

        
        elif fox2<30:
            screen.blit(stars[2], (0,0))

        
        elif fox2<40:
            screen.blit(stars[3], (0,0))

        else:
            screen.blit(stars[4], (0,0))

        if fox< -960:
            SCENE=60
            dialog=-10
            fox=0


 #############################
    elif SCENE==60:                                           ##############   last discussion
        lastscene=60

        pak.standing2()
        Yuma.standing()

        if event.type==pygame.KEYDOWN:

            
            if event.key == pygame.K_RIGHT and rightOnce==1:
                if dialog>0 and dialog!=29:
                    dialog +=1
                    rightOnce=0

            elif event.key == pygame.K_LEFT and leftOnce==1:
                if dialog>1:
                    dialog -=1
                    leftOnce=0

        if event.type==pygame.KEYUP:

            if event.key == pygame.K_RIGHT:
                rightOnce=1
            if event.key == pygame.K_LEFT:
                leftOnce=1

        if dialog<0:
            dialog +=1
                        

        if dialog==0:
            hunty.uping()
            hunty.x=400
            #lion.x= -400
            if hunty.frame==5:
                dialog=1

        elif 22>dialog>0:
            hunty.standing()

        
        elif dialog==22:
            hunty.huntwalking()
            hunty.x +=6

            if hunty.x>600:
                dialog=23

        elif dialog>28:
            lion.limping()
            
        if dialog==29:
            lion.x += 4

            if lion.x>140:
                dialog=30
                lion.x=140


        elif dialog==35:
            lion.x += 4

            if lion.x>640:
                SCENE=99


        screen.blit( bglast , (0,0))

        screen.blit(pak.img, (-100,-40))


        if dialog==29 and (leoheal==0 or leoheal==2 or leoheal==6):
            dialog=36
            SCENE=99
            

        

        if dialog==29:
            screen.blit(lion.img, (lion.x, 260))
        elif 35>dialog>29:
            screen.blit(limpLion4, (140, 260))
        elif dialog==35:
            screen.blit(lion.img, (lion.x, 260))

            
        screen.blit(Yuma.img, (200,310))

        screen.blit(golem2, (5,300))

        if dialog<0:
            screen.blit(huntUp1, (hunty.x,300))

        elif dialog<23:
            screen.blit(hunty.img, (hunty.x,300))

        if dialog==1:
            screen.blit(balloon,(300,58))
            screen.blit(dialog250_1,(340,125))
            screen.blit(dialog250_2,(345,150))
            screen.blit(dialog250_3,(365,175))

        elif dialog==2:
            screen.blit(balloon,(0,58))
            screen.blit(dialog251_1,(40,125))
            screen.blit(dialog251_2,(45,150))
            screen.blit(dialog251_3,(65,175))


        elif dialog==3:
            screen.blit(balloon,(300,58))
            screen.blit(dialog252_1,(350,125))
            screen.blit(dialog252_2,(355,150))
            screen.blit(dialog252_3,(375,175))

        elif dialog==4:
            screen.blit(balloon,(300,58))
            screen.blit(dialog253_1,(350,125))
            screen.blit(dialog253_2,(355,150))
            screen.blit(dialog253_3,(370,175))

        elif dialog==5:
            screen.blit(balloon,(0,58))
            screen.blit(dialog254_1,(40,125))
            screen.blit(dialog254_2,(45,150))
            screen.blit(dialog254_3,(45,175))

        elif dialog==6:
            screen.blit(balloon,(300,58))
            screen.blit(dialog255_1,(350,125))
            screen.blit(dialog255_2,(355,150))
            screen.blit(dialog255_3,(370,175))

        elif dialog==7:
            screen.blit(balloon,(0,58))
            screen.blit(dialog256_1,(40,125))
            screen.blit(dialog256_2,(45,150))
            screen.blit(dialog256_3,(45,175))

        elif dialog==8:
            screen.blit(balloon,(0,58))
            screen.blit(dialog257_1,(50,125))
            screen.blit(dialog257_2,(55,150))

        elif dialog==9:
            screen.blit(balloon,(300,58))
            screen.blit(dialog258_1,(360,125))
            screen.blit(dialog258_2,(365,150))
            screen.blit(dialog258_3,(380,175))

        elif dialog==10:
            screen.blit(balloon,(0,58))
            screen.blit(dialog259_1,(40,125))
            screen.blit(dialog259_2,(45,150))
            screen.blit(dialog259_3,(45,175))

        elif dialog==11:
            screen.blit(balloon,(0,58))
            screen.blit(dialog260_1,(40,135))
            screen.blit(dialog260_2,(45,160))
            
        elif dialog==12:
            screen.blit(balloon,(300,58))            
            screen.blit(dialog261_1,(345,150))

        elif dialog==13:
            screen.blit(balloon,(0,58))
            screen.blit(dialog262_1,(40,125))
            screen.blit(dialog262_2,(45,150))
            screen.blit(dialog262_3,(60,175))

        elif dialog==14:
            screen.blit(balloon,(300,58))
            screen.blit(dialog263_1,(375,125))
            screen.blit(dialog263_2,(355,150))
            screen.blit(dialog263_3,(370,175))

        elif dialog==15:
            screen.blit(balloon,(0,58))
            screen.blit(dialog264_1,(75,150))
 
        elif dialog==16:
            screen.blit(balloon,(300,58))
            screen.blit(dialog265_1,(360,125))
            screen.blit(dialog265_2,(355,150))
            screen.blit(dialog265_3,(370,175))

        elif dialog==17:
            screen.blit(balloon,(0,58))
            screen.blit(dialog266_1,(50,125))
            screen.blit(dialog266_2,(40,150))
            screen.blit(dialog266_3,(70,175))

        elif dialog==18:
            screen.blit(balloon,(0,58))
            screen.blit(dialog267_1,(40,125))
            screen.blit(dialog267_2,(35,150))
            screen.blit(dialog267_3,(50,175))

        elif dialog==19:
            screen.blit(balloon,(0,58))
            screen.blit(dialog268_1,(60,125))
            screen.blit(dialog268_2,(65,150))
            screen.blit(dialog268_3,(70,175))

        elif dialog==20:
            screen.blit(balloon,(300,58))
            screen.blit(dialog269_1,(370,150))
            
        elif dialog==21:
            screen.blit(balloon,(0,58))
            screen.blit(dialog270_1,(60,125))
            screen.blit(dialog270_2,(30,150))
            screen.blit(dialog270_3,(40,175))          
            
        elif dialog==22 or dialog==23:
            screen.blit(balloon,(0,58))
            screen.blit(dialog271_1,(40,125))
            screen.blit(dialog271_2,(65,150))
            screen.blit(dialog271_3,(60,175))


        elif dialog==24:
            screen.blit(balloon3,(300,200))
            screen.blit(dialog272_1,(380,300))
            screen.blit(dialog272_2,(365,325))
            screen.blit(dialog272_3,(380,350))

        elif dialog==25:
            screen.blit(balloon2,(100,100))
            screen.blit(dialog273_1,(140,180))
            screen.blit(dialog273_2,(140,205))
            
        elif dialog==26:
            screen.blit(balloon,(0,58))
            screen.blit(dialog274_1,(60,125))
            screen.blit(dialog274_2,(30,150))
            screen.blit(dialog274_3,(70,175))                  

        elif dialog==27:
            screen.blit(balloon3,(300,200))
            screen.blit(dialog275_1,(340,300))
            screen.blit(dialog275_2,(365,325))
            screen.blit(dialog275_3,(380,350))

        elif dialog==28:
            screen.blit(balloon2,(100,100))
            screen.blit(dialog276_1,(160,180))
            screen.blit(dialog276_2,(160,205))


        elif dialog==30:
            screen.blit(balloon,(150,58))
            screen.blit(dialog277_1,(210,125))
            screen.blit(dialog277_2,(200,150))
            screen.blit(dialog277_3,(220,175))

        elif dialog==31:
            screen.blit(balloon,(150,58))
            screen.blit(dialog278_1,(210,125))
            screen.blit(dialog278_2,(200,150))
            screen.blit(dialog278_3,(220,175))

        elif dialog==32:
            screen.blit(balloon,(150,58))
            screen.blit(dialog279_1,(210,125))
            screen.blit(dialog279_2,(200,150))
            screen.blit(dialog279_3,(220,175))       
            
        elif dialog==33:
            screen.blit(balloon,(0,58))
            screen.blit(dialog280_1,(60,135))
            screen.blit(dialog280_2,(30,160))
    
        elif dialog==34:
            screen.blit(balloon,(150,58))
            screen.blit(dialog281_1,(230,135))
            screen.blit(dialog281_2,(250,160))


        

            
                 
                     


 #############################
    elif SCENE==90:            ## controls

        if event.type==pygame.KEYDOWN:
            if event.key == pygame.K_UP:
                CY -= 1
                if CY<-238:
                    CY=-238
                
            elif event.key == pygame.K_DOWN:
                CY += 1
                if CY>20:
                    CY=20

        screen.blit( controls , (0,0))
        screen.blit( controltext , (160,CY))




 #############################
    elif SCENE==95:            ## return

        SCENE=1

        if lastscene==2:
            SCENE=2
            points=10
            Yuma.mode=0
            apOn=0
            for i in range(10):
                coco_list[i][0]=0
            dialog=0
            crocOn=0
            crocnumb=0
            beeOn=0
            beNomb=0
            distance=0
            snappOnce=0
            stingOnce=1

                        

        elif lastscene==3:   
            SCENE=3
            dialog=0

        elif lastscene==4:
            SCENE=4
            dialog=0
            landing=0
            moving=0
            wineX=0
            svX=0
            vbX=0
            cpx=0
            cpx2=900
            fox=0
            fox2=1200
            cliffX=0

        elif lastscene==5:

            SCENE=5
            dialog=0


        elif lastscene==6:
            SCENE=6
            dialog=0
            Yuma.x = -30

            
        elif lastscene==7:
            SCENE=7
            dialog=0

            

        elif lastscene==8:

            SCENE=8
            dialog=14


        elif lastscene==9:
            SCENE=9
            dialog=0


        elif lastscene==15:
            SCENE=15
            dialog=20
            Yuma.y=250
            Yuma.x=100


        elif lastscene==23:
            SCENE=23
            dialog=0

 
        elif lastscene==24:
            SCENE=24
            dialog=0           
            Yuma.x =-10
            Yuma.y= 290

        elif lastscene==25:
            SCENE=25
            dialog=0

        elif lastscene==26:
            SCENE=26
            dialog=0
            hunty.x=640

        elif lastscene==27:
            SCENE=27
            dialog=0   
            Bee.x=20
            Bee.y=-200
            fox=0
            channel= birdwing.play(1)

        elif lastscene==28:
            SCENE=28
            hunty.x=400
            Yuma.x=200
            treeX=0
            treeX2=0
            landing=-1
            dialog=1
            for i in range(10):
                    
                coco_list[i][0] = 0
                coco_list[i][1] = 0
                coco_list[i][2] = 0
                coco_list[i][3] = 0

        elif lastscene==59:
            SCENE=59
            dialog=0
 
        elif lastscene==60:
            SCENE=60
            dialog=0
                       
############################################
    elif SCENE==96:

        

        file = open("load.txt","r") 

        lastscene= int(file.readline())
        leoheal= int(file.readline())
         
        file.close() 
        
        SCENE=95



        
 
##############################################################################################
    elif SCENE==99:

        


        screen.blit(endscreen, (0,0))
        

 
##############################################################################################
    elif SCENE==100:

        

        if event.type==MOUSEBUTTONDOWN:
            if inArea(mx,my,467, 379, 590, 427):
                SCENE=95

        



        screen.blit(gameover, (0,0)) 

#########################################
        
    
    pygame.display.update()
